SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `bots`
--
CREATE DATABASE IF NOT EXISTS `bots` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
USE `bots`;

-- --------------------------------------------------------

--
-- Table structure for table `bans`
--

DROP TABLE IF EXISTS `bans`;
CREATE TABLE `bans` (
  `steam` varchar(17) NOT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `bannedTo` varchar(22) NOT NULL,
  `permanent` tinyint(1) NOT NULL DEFAULT 0,
  `playTime` int(11) NOT NULL DEFAULT 0,
  `score` int(11) NOT NULL DEFAULT 0,
  `playerKills` int(11) NOT NULL DEFAULT 0,
  `zombies` int(11) NOT NULL DEFAULT 0,
  `country` varchar(2) DEFAULT NULL,
  `belt` varchar(500) DEFAULT NULL,
  `pack` varchar(1000) DEFAULT NULL,
  `equipment` varchar(500) DEFAULT NULL,
  `dateAdded` timestamp NOT NULL DEFAULT current_timestamp(),
  `botID` varchar(7) DEFAULT NULL,
  `admin` varchar(17) DEFAULT NULL,
  `GBLBan` tinyint(1) NOT NULL DEFAULT 0,
  `GBLBanExpiry` date NOT NULL,
  `GBLBanReason` varchar(255) NOT NULL DEFAULT '',
  `GBLBanVetted` tinyint(1) NOT NULL DEFAULT 0,
  `GBLBanActive` tinyint(1) NOT NULL DEFAULT 0,
  `level` int(11) NOT NULL DEFAULT 0,
  `id` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `DNSServers`
--

DROP TABLE IF EXISTS `DNSServers`;
CREATE TABLE `DNSServers` (
  `server` varchar(100) NOT NULL DEFAULT '',
  `lookupCounter` int(11) NOT NULL DEFAULT 0,
  `resetDate` int(11) NOT NULL DEFAULT 10000101,
  `currentHost` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `donors`
--

DROP TABLE IF EXISTS `donors`;
CREATE TABLE `donors` (
  `botID` int(11) NOT NULL,
  `steam` bigint(17) NOT NULL DEFAULT 0,
  `donor` tinyint(1) NOT NULL DEFAULT 0,
  `donorLevel` int(11) NOT NULL DEFAULT 0,
  `donorExpiry` int(11) DEFAULT NULL,
  `serverGroup` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `events`
--

DROP TABLE IF EXISTS `events`;
CREATE TABLE `events` (
  `id` bigint(20) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `serverTime` varchar(19) NOT NULL,
  `type` varchar(15) NOT NULL,
  `event` varchar(255) NOT NULL,
  `steam` varchar(17) NOT NULL,
  `server` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `guides`
--

DROP TABLE IF EXISTS `guides`;
CREATE TABLE `guides` (
  `guideID` int(11) NOT NULL,
  `Title` varchar(100) NOT NULL,
  `Summary` varchar(255) NOT NULL,
  `guide` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `helpCommands`
--

DROP TABLE IF EXISTS `helpCommands`;
CREATE TABLE `helpCommands` (
  `commandID` int(11) NOT NULL,
  `command` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  `keywords` varchar(150) NOT NULL,
  `lastUpdate` timestamp NOT NULL DEFAULT current_timestamp(),
  `accessLevel` int(11) NOT NULL DEFAULT 99,
  `ingameOnly` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `helpTopicCommands`
--

DROP TABLE IF EXISTS `helpTopicCommands`;
CREATE TABLE `helpTopicCommands` (
  `topicID` int(11) NOT NULL,
  `commandID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `helpTopics`
--

DROP TABLE IF EXISTS `helpTopics`;
CREATE TABLE `helpTopics` (
  `topicID` int(11) NOT NULL,
  `topic` varchar(20) NOT NULL,
  `description` varchar(150) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `IPBlacklist`
--

DROP TABLE IF EXISTS `IPBlacklist`;
CREATE TABLE `IPBlacklist` (
  `StartIP` bigint(15) NOT NULL,
  `EndIP` bigint(15) NOT NULL,
  `Country` varchar(2) DEFAULT NULL,
  `DateAdded` timestamp NOT NULL DEFAULT current_timestamp(),
  `botID` int(11) NOT NULL DEFAULT 0,
  `steam` bigint(17) NOT NULL DEFAULT 0,
  `playerName` varchar(25) NOT NULL DEFAULT '',
  `IP` varchar(15) NOT NULL DEFAULT '',
  `OrgName` varchar(100) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `IPBlacklist`
--

INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(16777472, 16777727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16777728, 16778239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16779264, 16781311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16785408, 16793599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16842752, 16843007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16843264, 16843775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16843776, 16844799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16844800, 16846847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16846848, 16850943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16850944, 16859135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16908288, 16908799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16908800, 16909055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16909312, 16909567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16909568, 16909823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16909824, 16910335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16910336, 16910591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16910592, 16910847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16910848, 16911359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16911360, 16912383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16912384, 16916479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16916480, 16924671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16924672, 16941055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(16973824, 17039359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17039616, 17039871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17039872, 17040383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17040384, 17040639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17040640, 17040895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17040896, 17041407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17041408, 17043455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17043456, 17047551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17047552, 17055743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17055744, 17072127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17301504, 17367039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17432576, 17434623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17434624, 17435135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17435392, 17435647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17435648, 17436671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17436672, 17440767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17440768, 17448959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17448960, 17465343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(17563648, 17825791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(18350080, 18874367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(19169280, 19202047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(19726336, 19791871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(19922944, 20054015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(20054016, 20119551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(20119552, 20185087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(20447232, 20971519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(20971520, 21037055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(21233664, 21495807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(22020096, 22544383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(22544384, 22806527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(22806528, 22937599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(22937600, 23068671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(24379392, 24641535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(28573696, 28835839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(28835840, 28966911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(29097984, 29360127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(29360128, 29884415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(30015488, 30146559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(30146560, 30408703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(234881024, 234883071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(234884096, 234885119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(234946560, 234947583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(235929600, 236978175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(241598464, 241599487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(241605632, 241606655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(241631232, 241696767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(241696768, 242221055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(242221056, 243269631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(243400704, 243531775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(243662848, 243793919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(244318208, 245366783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(247479296, 247480319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(247483392, 247484415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(247726080, 247857151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(247857152, 247889919, 'HK', '2020-05-01 00:03:16', 0, 0, '', '', 'HKBN.NET\''),
(248250368, 248381439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(248512512, 249561087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(453509120, 454033407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(454033408, 455081983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(455272448, 455274495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(455344128, 455606271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(455606272, 456130559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(456271872, 456273919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(456294400, 456327167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(456542208, 456544255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(456562688, 456564735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(456572928, 456589311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(459460608, 459464703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(459464704, 459472895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(459505664, 459538431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(459735040, 459800575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(459964416, 459980799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(459983872, 459984895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460136448, 460144639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460324864, 460341247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460345344, 460349439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460423168, 460439551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460521472, 460554239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460598272, 460599295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460933120, 460935167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460945408, 460947455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(460983296, 460983551, 'HK', '2020-05-20 13:17:43', 0, 0, '', '', 'PACSWITCH.COM\''),
(461373440, 461504511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(461626368, 461627391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(462422016, 462487551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(462684160, 462946303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(462946304, 463470591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(465043456, 465567743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(465567744, 467664895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(467664896, 467927039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(603979776, 603980799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(603981824, 603983871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(603983872, 603987967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(603987968, 603996159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(603996160, 604012543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(604012544, 604045311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(604045312, 604110847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(604241920, 604504063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(605028352, 606076927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606076928, 606339071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606339072, 606404607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606404608, 606412799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606413824, 606414335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606414592, 606414847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606414848, 606416895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606416896, 606420991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(606601216, 607125503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(607125504, 607256575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(607322112, 607387647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(607649792, 608174079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(610271232, 612368383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(612368384, 616562687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(616562688, 618659839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(620232704, 620494847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(620625920, 620691455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654311424, 654311679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654311936, 654312447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654312448, 654313471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654313472, 654315519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654315520, 654319615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654319616, 654327807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654327808, 654344191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(654344192, 654376959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(658505728, 660602879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(660602880, 661127167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(661127168, 661389311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(661389312, 661454847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(661454848, 661487615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(662700032, 666894335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704643072, 704644095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704645120, 704647167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704647168, 704649215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704649216, 704650239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704651264, 704659455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704675840, 704708607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704708608, 704716799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704716800, 704720895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704720896, 704722943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704722944, 704723967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704741376, 704774143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(704905216, 705167359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(707788800, 707919871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(707919872, 707985407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(707985408, 708050943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708050944, 708313087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708313088, 708575231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708706304, 708739071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708739072, 708747263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708747264, 708751359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708752384, 708753407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708753408, 708755455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(708771840, 708837375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(709885952, 710017023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710098944, 710103039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710103040, 710104063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710105088, 710107135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710107136, 710115327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710115328, 710148095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710148096, 710410239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710410240, 710934527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710950912, 710959103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710959104, 710961151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710962176, 710963199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710963200, 710967295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(710967296, 711000063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711000064, 711065599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711131136, 711147519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711147520, 711155711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711155712, 711159807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711159808, 711160831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711161856, 711163903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(711196672, 711458815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712507392, 712638463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712638464, 712703999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712704000, 712712191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712713216, 712714239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712714240, 712716287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712716288, 712720383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712720384, 712736767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(712736768, 712769535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(713031680, 714080255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714866688, 714874879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714875904, 714876927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714876928, 714878975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714878976, 714883071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714883072, 714899455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714899456, 714932223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714932224, 714997759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(714997760, 715128831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(715128832, 716177407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716177408, 716701695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716701696, 716832767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716832768, 716898303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716898304, 716914687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716914688, 716922879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716922880, 716926975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716926976, 716929023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716929024, 716930047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(716931072, 716963839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717225984, 717357055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717357056, 717359103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717359104, 717360127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717360128, 717361151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717361152, 717365247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717365248, 717373439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717373440, 717389823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717389824, 717422591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717422592, 717488127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717488128, 717750271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717815808, 717848575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(717881344, 718012415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(718012416, 718274559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(718274560, 719323135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(719323136, 720371711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(720371712, 720404479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(720404480, 720437247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(720502784, 720633855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(720633856, 720895999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(720896000, 721420287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736103424, 736104447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736106496, 736107519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736111616, 736112639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736113664, 736114687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736114688, 736115711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736116736, 736117759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736117760, 736118783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736118784, 736119807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736120832, 736121855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736125952, 736126975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736136192, 736137215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736137216, 736138239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736141312, 736142335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736145408, 736146431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736147456, 736148479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736151552, 736152575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736152576, 736153599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736153600, 736154623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736154624, 736155647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736155648, 736156671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736157696, 736158719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736161792, 736162815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736185344, 736186367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736187392, 736188415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736196608, 736197631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736197632, 736198655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736201728, 736202751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736209920, 736210943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736211968, 736212991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736212992, 736214015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736219136, 736220159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736221184, 736222207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736222208, 736223231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736223232, 736224255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736224256, 736225279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736225280, 736226303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736226304, 736227327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736227328, 736228351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736228352, 736229375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736230400, 736231423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736239616, 736240639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736240640, 736241663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736241664, 736242687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736242688, 736243711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736243712, 736244735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736244736, 736245759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736245760, 736246783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736246784, 736247807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736247808, 736248831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736248832, 736249855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736249856, 736250879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736250880, 736251903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736251904, 736252927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736252928, 736253951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736253952, 736254975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736254976, 736255999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736256000, 736257023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736257024, 736258047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736258048, 736259071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736259072, 736260095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736260096, 736261119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736261120, 736262143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736262144, 736263167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736264192, 736265215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736265216, 736266239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736266240, 736267263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736267264, 736268287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736268288, 736269311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736269312, 736270335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736270336, 736271359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736271360, 736272383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736272384, 736273407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736273408, 736274431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736274432, 736275455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736275456, 736276479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736276480, 736277503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736277504, 736278527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736278528, 736279551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736279552, 736280575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736280576, 736281599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736281600, 736282623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736282624, 736283647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736283648, 736284671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736284672, 736285695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736285696, 736286719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736291840, 736292863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736292864, 736293887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736293888, 736294911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736294912, 736295935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736295936, 736296959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736296960, 736297983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736297984, 736299007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736299008, 736300031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736304128, 736305151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736305152, 736306175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736306176, 736307199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736307200, 736308223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736308224, 736309247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736309248, 736310271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736310272, 736311295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736311296, 736312319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736312320, 736313343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736313344, 736314367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736314368, 736315391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736315392, 736316415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736316416, 736317439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736317440, 736318463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736318464, 736319487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736319488, 736320511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736320512, 736321535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736321536, 736322559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736322560, 736323583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736323584, 736324607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736331776, 736332799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736332800, 736333823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736333824, 736334847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736335872, 736336895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736336896, 736337919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736337920, 736338943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736338944, 736339967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736339968, 736340991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736340992, 736342015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736342016, 736343039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736343040, 736344063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736345088, 736346111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736346112, 736347135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736347136, 736348159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736348160, 736349183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736349184, 736350207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736350208, 736351231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736351232, 736352255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736352256, 736353279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736353280, 736354303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736356352, 736357375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736360448, 736361471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736361472, 736362495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736362496, 736363519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736363520, 736364543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736364544, 736365567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736365568, 736366591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736366592, 736367615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736367616, 736368639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736368640, 736369663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736369664, 736370687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736370688, 736371711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736371712, 736372735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736372736, 736373759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736373760, 736374783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736374784, 736375807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736375808, 736376831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736376832, 736377855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736377856, 736378879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736378880, 736379903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736379904, 736380927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736381952, 736382975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736388096, 736389119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736392192, 736393215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736393216, 736394239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736396288, 736397311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736397312, 736398335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736400384, 736401407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736401408, 736402431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736408576, 736409599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736410624, 736411647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736414720, 736415743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736423936, 736424959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736432128, 736433151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736438272, 736439295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736440320, 736441343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736442368, 736443391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736452608, 736453631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736455680, 736456703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736458752, 736459775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736462848, 736463871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736463872, 736464895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736464896, 736465919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736471040, 736472063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736472064, 736473087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736473088, 736474111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736474112, 736475135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736475136, 736476159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736476160, 736477183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736477184, 736478207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736478208, 736479231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736483328, 736484351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736484352, 736485375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736487424, 736488447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736488448, 736489471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736498688, 736499711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736501760, 736502783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736510976, 736511999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736512000, 736513023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736515072, 736516095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736516096, 736517119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736525312, 736526335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736528384, 736529407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736536576, 736537599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736549888, 736550911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736550912, 736551935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736551936, 736552959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736552960, 736553983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736553984, 736555007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736555008, 736556031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736556032, 736557055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736557056, 736558079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736558080, 736559103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736567296, 736568319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736568320, 736569343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736569344, 736570367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736570368, 736571391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736579584, 736580607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736580608, 736581631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736581632, 736582655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736582656, 736583679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736583680, 736584703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736584704, 736585727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736585728, 736586751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736586752, 736587775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736593920, 736594943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736594944, 736595967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736595968, 736596991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736596992, 736598015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736598016, 736599039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736599040, 736600063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736600064, 736601087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736601088, 736602111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736602112, 736603135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736603136, 736604159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736604160, 736605183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736605184, 736606207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736886784, 736887807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736887808, 736888831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736888832, 736889855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736889856, 736890879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736890880, 736891903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736891904, 736892927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736892928, 736893951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736893952, 736894975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736894976, 736895999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736896000, 736897023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736897024, 736898047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736898048, 736899071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736899072, 736900095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736900096, 736901119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736901120, 736902143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736902144, 736903167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736903168, 736904191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736904192, 736905215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736905216, 736906239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736906240, 736907263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736907264, 736908287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736908288, 736909311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736909312, 736910335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736910336, 736911359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736911360, 736912383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736912384, 736913407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736913408, 736914431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736914432, 736915455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736915456, 736916479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736916480, 736917503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736917504, 736918527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736918528, 736919551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736919552, 736920575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736920576, 736921599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736921600, 736922623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736922624, 736923647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736923648, 736924671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736924672, 736925695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736925696, 736926719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736926720, 736927743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736927744, 736928767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736928768, 736929791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736929792, 736930815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736930816, 736931839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736931840, 736932863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736932864, 736933887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736933888, 736934911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736934912, 736935935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736935936, 736936959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736936960, 736937983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736937984, 736939007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736939008, 736940031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736940032, 736941055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736941056, 736942079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736942080, 736943103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736943104, 736944127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736944128, 736945151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736945152, 736946175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736946176, 736947199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736947200, 736948223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736948224, 736949247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736949248, 736950271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736950272, 736951295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736951296, 736952319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736952320, 736953343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736953344, 736954367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736954368, 736955391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736955392, 736956415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736956416, 736957439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736957440, 736958463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736958464, 736959487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736959488, 736960511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736960512, 736961535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736961536, 736962559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736962560, 736963583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736963584, 736964607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736964608, 736965631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736965632, 736966655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736966656, 736967679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736967680, 736968703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736968704, 736969727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736969728, 736970751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736970752, 736971775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736971776, 736972799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736972800, 736973823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736973824, 736974847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736974848, 736975871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736975872, 736976895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736976896, 736977919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736977920, 736978943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736978944, 736979967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736979968, 736980991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736980992, 736982015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736982016, 736983039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736983040, 736984063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736984064, 736985087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736985088, 736986111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736986112, 736987135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736987136, 736988159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736988160, 736989183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736989184, 736990207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736990208, 736991231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736991232, 736992255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736992256, 736993279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736993280, 736994303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736994304, 736995327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736995328, 736996351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736996352, 736997375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736997376, 736998399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736998400, 736999423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(736999424, 737000447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737000448, 737001471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737001472, 737002495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737002496, 737003519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737003520, 737004543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737004544, 737005567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737005568, 737006591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737006592, 737007615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737007616, 737008639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737008640, 737009663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737009664, 737010687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737010688, 737011711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737011712, 737012735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737012736, 737013759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737013760, 737014783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737014784, 737015807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737015808, 737016831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737016832, 737017855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737017856, 737018879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737018880, 737019903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737019904, 737020927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737020928, 737021951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737021952, 737022975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737022976, 737023999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737024000, 737025023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737025024, 737026047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737026048, 737027071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737027072, 737028095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737028096, 737029119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737029120, 737030143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737030144, 737031167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737031168, 737032191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737032192, 737033215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737033216, 737034239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737034240, 737035263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737035264, 737036287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737036288, 737037311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737037312, 737038335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737038336, 737039359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737039360, 737040383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737040384, 737041407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737041408, 737042431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737042432, 737043455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737043456, 737044479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737044480, 737045503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737045504, 737046527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737046528, 737047551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737047552, 737048575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737048576, 737049599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737049600, 737050623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737050624, 737051647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737051648, 737052671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737052672, 737053695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737053696, 737054719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737054720, 737055743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737055744, 737056767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737056768, 737057791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737057792, 737058815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737058816, 737059839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737059840, 737060863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737060864, 737061887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737061888, 737062911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737062912, 737063935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737063936, 737064959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737064960, 737065983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737065984, 737067007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737067008, 737068031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737068032, 737069055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737069056, 737070079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737070080, 737071103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737071104, 737072127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737072128, 737073151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737073152, 737074175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737074176, 737075199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737075200, 737076223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737076224, 737077247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737077248, 737078271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737078272, 737079295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737079296, 737080319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737080320, 737081343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737081344, 737082367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737082368, 737083391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737083392, 737084415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737084416, 737085439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737085440, 737087487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737087488, 737088511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737088512, 737089535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737089536, 737090559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737090560, 737091583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737091584, 737092607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737092608, 737093631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737093632, 737094655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737094656, 737095679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737095680, 737096703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737148928, 737149951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737161216, 737162239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737163264, 737164287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737164288, 737165311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737166336, 737167359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737167360, 737168383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737168384, 737169407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737170432, 737171455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737180672, 737181695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737181696, 737182719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737182720, 737183743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737183744, 737184767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737188864, 737189887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737189888, 737190911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737190912, 737191935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737191936, 737192959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737192960, 737193983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737193984, 737195007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737195008, 737196031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737196032, 737197055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737197056, 737198079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737198080, 737199103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737199104, 737200127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737200128, 737201151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737201152, 737202175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737202176, 737203199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737203200, 737204223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737204224, 737205247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737205248, 737206271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737209344, 737210367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737210368, 737211391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737211392, 737212415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737212416, 737213439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737213440, 737214463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737214464, 737215487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737215488, 737216511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737216512, 737217535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737217536, 737218559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737218560, 737219583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737219584, 737220607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737226752, 737227775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737233920, 737234943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737234944, 737235967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737235968, 737236991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737236992, 737238015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737238016, 737239039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737243136, 737244159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737257472, 737258495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737258496, 737259519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(737259520, 737260543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737260544, 737261567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737261568, 737262591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737264640, 737265663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737267712, 737268735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737268736, 737269759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737269760, 737270783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737270784, 737271807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737271808, 737272831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737272832, 737273855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737273856, 737274879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737274880, 737275903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737275904, 737276927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737277952, 737278975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737278976, 737279999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737282048, 737283071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737283072, 737284095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737284096, 737285119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737285120, 737286143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737286144, 737287167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737287168, 737288191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737291264, 737292287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737292288, 737293311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737293312, 737294335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737294336, 737295359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737295360, 737296383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737296384, 737297407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737298432, 737299455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737299456, 737300479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737300480, 737301503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737301504, 737302527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737302528, 737303551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737303552, 737304575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737304576, 737305599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737315840, 737316863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737316864, 737317887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737317888, 737318911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737318912, 737319935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737319936, 737320959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737320960, 737321983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737321984, 737323007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737323008, 737324031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737326080, 737327103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737328128, 737329151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737329152, 737330175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737330176, 737331199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737332224, 737333247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737335296, 737336319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737336320, 737337343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737344512, 737345535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737346560, 737347583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737347584, 737348607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737348608, 737349631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737349632, 737350655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737351680, 737352703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737368064, 737369087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737378304, 737379327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737380352, 737381375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737382400, 737383423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737383424, 737384447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737385472, 737386495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737388544, 737389567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737391616, 737392639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737393664, 737394687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737403904, 737404927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737404928, 737405951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737408000, 737409023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737542144, 737543167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737543168, 737544191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737544192, 737545215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737545216, 737546239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737546240, 737547263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737547264, 737548287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737548288, 737549311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737549312, 737550335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737550336, 737551359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737551360, 737552383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737552384, 737553407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737553408, 737554431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737554432, 737555455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737555456, 737556479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737556480, 737557503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737557504, 737558527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737558528, 737559551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737559552, 737560575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737560576, 737561599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737561600, 737562623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737562624, 737563647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737563648, 737564671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737564672, 737565695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737565696, 737566719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737566720, 737567743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737608704, 737609727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737609728, 737610751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737618944, 737619967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737619968, 737620991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737625088, 737626111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737627136, 737628159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737629184, 737630207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737630208, 737631231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737631232, 737632255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737632256, 737633279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737633280, 737634303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737635328, 737636351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737636352, 737637375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737645568, 737646591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737646592, 737647615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737652736, 737653759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737653760, 737654783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737654784, 737655807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737655808, 737656831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737657856, 737658879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737658880, 737659903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737659904, 737660927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737660928, 737661951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737661952, 737662975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737662976, 737663999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737664000, 737665023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737665024, 737666047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737666048, 737667071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737667072, 737668095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737668096, 737669119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737669120, 737670143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737670144, 737671167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737671168, 737672191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737672192, 737673215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737673216, 737674239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737674240, 737675263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737678336, 737679359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737680384, 737681407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737685504, 737686527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737687552, 737688575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737692672, 737693695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737693696, 737694719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737694720, 737695743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737695744, 737696767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737696768, 737697791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737697792, 737698815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737698816, 737699839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737699840, 737700863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737700864, 737701887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737701888, 737702911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737702912, 737703935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737703936, 737704959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737704960, 737705983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737705984, 737707007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737707008, 737708031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737708032, 737709055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737709056, 737710079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737710080, 737711103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737711104, 737712127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737718272, 737719295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737719296, 737720319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737720320, 737721343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737721344, 737722367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737722368, 737723391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737723392, 737724415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737724416, 737725439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737725440, 737726463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737726464, 737727487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737731584, 737732607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737732608, 737733631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737735680, 737736703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737738752, 737739775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737739776, 737740799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737740800, 737741823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737744896, 737745919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737769472, 737770495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737772544, 737773567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737773568, 737774591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737775616, 737776639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737776640, 737777663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737777664, 737778687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737778688, 737779711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737779712, 737780735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737780736, 737781759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737781760, 737782783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737787904, 737788927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737799168, 737800191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737805312, 737806335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737807360, 737808383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737808384, 737809407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737809408, 737810431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737811456, 737812479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737812480, 737813503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737813504, 737814527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737822720, 737823743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737828864, 737829887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737829888, 737830911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737830912, 737831935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737831936, 737832959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737832960, 737833983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737833984, 737835007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737837056, 737838079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737841152, 737842175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737842176, 737843199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737845248, 737846271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737847296, 737848319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737848320, 737849343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737849344, 737850367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737855488, 737856511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737858560, 737859583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737859584, 737860607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737860608, 737861631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737864704, 737865727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737866752, 737867775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737870848, 737871871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737871872, 737872895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737872896, 737873919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737873920, 737874431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737879040, 737880063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737899520, 737900543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737918976, 737919999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737929216, 737930239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737930240, 737931263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737932288, 737933311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737945600, 737946623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737947648, 737948671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737949696, 737950719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(737992704, 737993727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738066432, 738067455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738067456, 738068479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738068480, 738069503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738072576, 738073599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738075648, 738076671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738077696, 738078719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738079744, 738080767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738082816, 738083839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738084864, 738085887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738087936, 738088959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738088960, 738089983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738089984, 738091007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738092032, 738093055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738093056, 738094079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738095104, 738096127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738096128, 738097151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738099200, 738100223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738101248, 738102271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738102272, 738103295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738103296, 738104319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738104320, 738105343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738105344, 738106367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738106368, 738107391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738109440, 738110463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738110464, 738111487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738112512, 738113535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738113536, 738114559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738114560, 738115583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738115584, 738116607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738116608, 738117631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738117632, 738118655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738119680, 738120703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738122752, 738123775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738123776, 738124799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738124800, 738125823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738125824, 738126847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738126848, 738127871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738127872, 738128895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738129920, 738130943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738130944, 738131967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738131968, 738132991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738132992, 738134015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738134016, 738135039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738136064, 738137087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738144256, 738145279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738147328, 738148351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738148352, 738149375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738149376, 738150399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738150400, 738151423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738151424, 738152447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738153472, 738154495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738156544, 738157567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738159616, 738160639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738168832, 738169855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738174976, 738175999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738177024, 738178047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738179072, 738180095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738181120, 738182143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738183168, 738184191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738184192, 738185215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738185216, 738186239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738186240, 738187263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738189312, 738190335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738190336, 738191359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738191360, 738192383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(738194432, 738195455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(759197696, 759198207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762348544, 762349567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762362880, 762363903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762368000, 762369023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762369024, 762370047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762370048, 762371071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762371072, 762372095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762373120, 762374143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762374144, 762375167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762375168, 762376191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762383360, 762384383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762384384, 762385407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762385408, 762386431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762386432, 762387455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762387456, 762388479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762390528, 762391551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762393600, 762394623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762394624, 762395647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762398720, 762399743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762407936, 762408959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762417152, 762418175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762418176, 762419199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762423296, 762424319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762425344, 762426367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762427392, 762428415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762431488, 762432511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762432512, 762433535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762433536, 762434559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762434560, 762435583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762435584, 762436607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762436608, 762437631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762438656, 762439679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762441728, 762442751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762444800, 762445823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762445824, 762446847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762448896, 762449919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762454016, 762455039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762456064, 762457087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762459136, 762460159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762470400, 762471423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762472448, 762473471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762480640, 762481663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762496000, 762497023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762497024, 762498047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762504192, 762505215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762506240, 762507263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762510336, 762511359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762522624, 762523647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762536960, 762537983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762542080, 762543103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762545152, 762546175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762548224, 762549247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762551296, 762552319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762553344, 762554367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762562560, 762563583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762565632, 762566655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762566656, 762567679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762569728, 762570751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762571776, 762572799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762573824, 762574847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762574848, 762575871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762579968, 762580991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762580992, 762582015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762582016, 762583039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762583040, 762584063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762585088, 762586111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762586112, 762587135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762590208, 762591231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762592256, 762593279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762593280, 762594303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762601472, 762602495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762602496, 762603519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762612736, 762613759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762615808, 762616831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762630144, 762631167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762644480, 762645503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762647552, 762648575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762652672, 762653695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762659840, 762660863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762674176, 762675199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762706944, 762707967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762786816, 762787839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762788864, 762789887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762789888, 762790911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762790912, 762791935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762791936, 762792959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762800128, 762801151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762803200, 762804223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762814464, 762815487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762832896, 762833919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762864640, 762865663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762874880, 762875903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762878976, 762879999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762881024, 762882047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762895360, 762896383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762900480, 762901503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762909696, 762910719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762917888, 762918911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762920960, 762921983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762921984, 762923007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762923008, 762924031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762928128, 762929151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762929152, 762930175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762931200, 762932223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762948608, 762949631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762949632, 762950655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762958848, 762959871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762966016, 762967039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762967040, 762968063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762968064, 762969087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762969088, 762970111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762970112, 762971135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762971136, 762972159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762972160, 762973183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762973184, 762974207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762974208, 762975231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762975232, 762976255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762976256, 762977279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762977280, 762978303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762978304, 762979327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762979328, 762980351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762980352, 762981375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762985472, 762986495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762986496, 762987519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762987520, 762988543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762988544, 762989567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762989568, 762990591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762990592, 762991615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762991616, 762992639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762992640, 762993663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762993664, 762994687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762994688, 762995711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762995712, 762996735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762996736, 762997759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762997760, 762998783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762998784, 762999807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(762999808, 763000831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763011072, 763012095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763012096, 763013119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763013120, 763014143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763014144, 763015167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763015168, 763016191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763016192, 763017215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763017216, 763018239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763018240, 763019263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763019264, 763020287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763020288, 763021311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763021312, 763022335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763022336, 763023359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763023360, 763024383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763024384, 763025407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763025408, 763026431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763042816, 763043839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763043840, 763044863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763044864, 763045887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763046912, 763047935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763047936, 763048959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763048960, 763049983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763049984, 763051007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763051008, 763052031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763052032, 763053055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763053056, 763054079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763054080, 763055103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763055104, 763056127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763056128, 763057151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763057152, 763058175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763058176, 763059199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763066368, 763067391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763068416, 763069439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763069440, 763070463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763070464, 763071487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763073536, 763074559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763074560, 763075583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763075584, 763076607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763077632, 763078655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763078656, 763079679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763079680, 763080703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763080704, 763081727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763081728, 763082751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763082752, 763083775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763087872, 763088895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763089920, 763090943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763092992, 763094015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763094016, 763095039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763095040, 763096063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763096064, 763097087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763097088, 763098111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763098112, 763099135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763099136, 763100159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763100160, 763101183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763101184, 763102207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763106304, 763107327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763108352, 763109375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763109376, 763110399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763110400, 763111423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763112448, 763113471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763118592, 763119615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763120640, 763121663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763121664, 763122687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763126784, 763127807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763132928, 763133951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763145216, 763146239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763146240, 763147263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763154432, 763155455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763164672, 763165695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763165696, 763166719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763169792, 763170815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763170816, 763171839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763172864, 763173887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763173888, 763174911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763174912, 763175935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763177984, 763179007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763180032, 763181055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(763181056, 763182079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(794558464, 794820607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(794820608, 796917759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(822345728, 822607871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(825425920, 825491455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(825491456, 825753599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(826277888, 828375039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(829423616, 829947903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(829947904, 830210047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(830472192, 830472447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(830472704, 830473215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(831258624, 831389695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(832045056, 832307199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(835715072, 835846143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(835846144, 835977215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(836501504, 836763647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(837287936, 837550079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(837746688, 837763071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(837795840, 837812223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(838262784, 838270975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(920518656, 920649727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(973996032, 974127103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974127104, 974192639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974192640, 974225407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974225408, 974258175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974258176, 974323711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974323712, 974389247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974389248, 974454783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974454784, 974520319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974520320, 974651391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(974651392, 974782463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975044608, 975175679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975175680, 975699967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975634432, 975699967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975699968, 975831039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975831040, 975896575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975896576, 975962111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(975962112, 976224255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(976224256, 976748543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(976748544, 976879615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(976879616, 976945151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(976945152, 976977919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(976977920, 977010687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(977010688, 977272831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(977397760, 977399807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(977403904, 977534975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(977567744, 977600511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(978452480, 978485247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(978518016, 978550783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(978550784, 978583551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(978796544, 978812927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(979599360, 979632127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(979632128, 979763199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(980680704, 980942847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(981467136, 981991423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(982515712, 982581247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(983171072, 983302143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(985661440, 985792511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(985792512, 985923583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(985923584, 986054655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(986054656, 986185727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(986185728, 986710015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(986710016, 987758591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(988807168, 988938239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(988938240, 989069311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(989069312, 989200383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(989200384, 989331455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(989331456, 989855743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(991952896, 992477183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(992477184, 992608255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(992608256, 992673791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(992673792, 992739327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(992739328, 993001471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993001472, 993067007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993067008, 993099775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993099776, 993132543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993132544, 993198079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993198080, 993230847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993230848, 993263615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993263616, 993525759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993525760, 993787903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993787904, 993918975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(993918976, 994050047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994050048, 994312191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994312192, 994574335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994574336, 994705407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994705408, 994836479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994836480, 994902015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994902016, 994967551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(994967552, 995098623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(995098624, 995229695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(995229696, 995360767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(996868096, 996900863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(996900864, 996933631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(996933632, 997064703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(997064704, 997195775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(999751680, 999784447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1000013824, 1000079359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1001127936, 1001259007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1001259008, 1001390079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1002373120, 1002405887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1002434560, 1002438655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1002438656, 1006632959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1006632960, 1007157247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007157248, 1007288319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007288320, 1007353855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007353856, 1007419391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007419392, 1007484927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007484928, 1007501311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007501312, 1007517695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007517696, 1007550463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007550464, 1007681535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1007681536, 1008205823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1008205824, 1008467967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1008467968, 1008599039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1008516096, 1008516351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1008599040, 1008664575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1008664576, 1008730111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1010237440, 1010302975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1010761728, 1010827263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1017118720, 1017249791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1017249792, 1017380863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1017380864, 1017511935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1017511936, 1017643007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1017643008, 1018167295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1018167296, 1019215871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1019346944, 1019478015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1019740160, 1020002303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1020002304, 1020067839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1020067840, 1020133375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1020133376, 1020264447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1020264448, 1020788735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1020788736, 1020919807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1020919808, 1021050879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1021050880, 1021313023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1021837312, 1021968383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1022033920, 1022099455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1022722048, 1022754815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1022820352, 1022885887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023148032, 1023213567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023246336, 1023279103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023344640, 1023410175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023692800, 1023693823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023693824, 1023694847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023694848, 1023696895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023717376, 1023721471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1023975424, 1023979519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025245184, 1025249279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025249280, 1025253375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025253376, 1025261567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025261568, 1025277951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025343488, 1025359871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025359872, 1025368063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025368064, 1025372159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1025372160, 1025376255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1026392064, 1026408447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1026416640, 1026420735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1026523136, 1026539519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1026555904, 1026818047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1026818048, 1026949119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1026949120, 1027014655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1027014656, 1027080191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1029160960, 1029177343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1031798784, 1031929855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1031929856, 1032060927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1031950244, 1031950247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032060928, 1032126463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032126464, 1032159231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032159232, 1032191999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032192000, 1032208383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032208384, 1032216575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032216576, 1032224767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032224768, 1032241151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032241152, 1032257535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032257536, 1032323071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032323072, 1032339455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032339456, 1032355839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032355840, 1032388607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032388608, 1032421375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032421376, 1032454143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032454144, 1032470527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032470528, 1032486911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032486912, 1032503295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032503296, 1032519679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032519680, 1032552447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032552448, 1032568831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032568832, 1032585215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032585216, 1032847359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1032847360, 1033109503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033109504, 1033240575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033240576, 1033371647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033371648, 1033437183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033437184, 1033502719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033502720, 1033633791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033633792, 1033699327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033699328, 1033764863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033764864, 1033797631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033797632, 1033830399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033830400, 1033846783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033846784, 1033863167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033863168, 1033895935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033895936, 1033961471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033961472, 1033977855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033977856, 1033994239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1033994240, 1034027007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034027008, 1034092543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034092544, 1034158079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034158080, 1034223615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034223616, 1034289151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034289152, 1034354687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034354688, 1034420223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034420224, 1034485759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034485760, 1034551295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034551296, 1034682367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034682368, 1034944511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1034944512, 1035010047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035010048, 1035075583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035075584, 1035141119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035141120, 1035206655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035206656, 1035239423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(1035239424, 1035272191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035272192, 1035337727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035337728, 1035403263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035403264, 1035468799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035468800, 1035730943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035730944, 1035796479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035796480, 1035829247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035829248, 1035862015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1035862016, 1035993087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1038614528, 1038876671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1038876672, 1039007743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1039138816, 1039400959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1050538112, 1050538175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1145087804, 1145087807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1168916480, 1168920575, 'HK', '2020-07-31 02:43:01', 0, 0, '', '', 'IMSBIZ.COM\''),
(1296938496, 1296938527, 'CN', '2020-08-04 07:42:40', 0, 0, '', '', 'GTT.NET\''),
(1357891680, 1357891711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1357893376, 1357893407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1438864960, 1438864975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1542071296, 1542071551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1597374464, 1597390847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1694498816, 1694499839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1694564352, 1694565375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1694673920, 1694674943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1694760960, 1695023103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1695547392, 1696595967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1696595968, 1696858111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1696858112, 1696923647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1696923648, 1696989183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1696989184, 1697120255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1697120256, 1697644543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1697644544, 1697775615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1697789952, 1697790975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1697906688, 1697972223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1697997824, 1697998847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1698037760, 1698103295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1698160640, 1698162687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1698693120, 1699217407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1699217408, 1699479551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1699479552, 1699610623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1699610624, 1699611647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1699618816, 1699627007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1699741696, 1700790271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1700790272, 1700792319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1700792320, 1700793343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1700794368, 1700798463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1700823040, 1700855807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701011456, 1701019647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701134336, 1701142527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701143552, 1701143807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701144064, 1701144575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701144576, 1701146623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701146624, 1701150719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701199872, 1701208063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701209088, 1701209599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701209600, 1701209855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701210112, 1701212159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701212160, 1701216255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701314560, 1701576703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701724160, 1701732351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701732352, 1701736447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701737472, 1701738495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1701738496, 1701740543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702363136, 1702625279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702625280, 1702756351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702756352, 1702821887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702887424, 1702888447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702889472, 1702891519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702891520, 1702895615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702895616, 1702903807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1702952960, 1703018495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1703018496, 1703149567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1703149568, 1703411711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1703936000, 1704984575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707081728, 1707343871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707343872, 1707606015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707606016, 1707737087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707835392, 1707843583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707843584, 1707845631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707846656, 1707847679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707847680, 1707851775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1707868160, 1708130303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709178880, 1709703167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709703168, 1709834239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709850624, 1709852671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709853696, 1709854719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709854720, 1709858815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709858816, 1709867007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1709965312, 1710227455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710227456, 1710489599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710489600, 1710751743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710751744, 1710882815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710948352, 1710949375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710950400, 1710952447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710952448, 1710956543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710956544, 1710964735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710964736, 1710981119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1710981120, 1711013887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1711013888, 1711144959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1711144960, 1711210495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728120832, 1728121855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728123904, 1728124927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728124928, 1728125951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728137216, 1728138239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728141312, 1728142335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728161792, 1728162815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728211968, 1728212991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728224256, 1728225279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728226304, 1728227327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728235520, 1728236543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728236544, 1728237567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728237568, 1728238591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728238592, 1728239615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728271360, 1728272383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728272384, 1728273407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728273408, 1728274431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728274432, 1728275455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728275456, 1728276479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728276480, 1728277503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728277504, 1728278527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728278528, 1728279551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728279552, 1728280575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728280576, 1728281599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728281600, 1728282623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728282624, 1728283647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728283648, 1728284671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728284672, 1728285695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728285696, 1728286719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728287744, 1728288767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728288768, 1728289791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728289792, 1728290815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728329728, 1728330751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728358400, 1728359423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728362496, 1728363519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728390144, 1728391167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728394240, 1728395263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728395264, 1728396287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728445440, 1728446463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728465920, 1728466943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728502784, 1728503807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728513024, 1728514047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728519168, 1728520191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728566272, 1728567295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728567296, 1728568319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728568320, 1728569343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728578560, 1728579583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728579584, 1728580607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728585728, 1728586751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728590848, 1728591871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728605184, 1728606207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728617472, 1728618495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728628736, 1728629759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728629760, 1728630783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728633856, 1728634879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728681984, 1728683007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728706560, 1728707583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728707584, 1728708607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728708608, 1728709631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728712704, 1728713727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728730112, 1728731135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728737024, 1728737279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728744448, 1728745471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728820224, 1728821247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728847872, 1728848895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728857088, 1728858111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728874496, 1728875519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728886784, 1728887807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728899072, 1728900095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728936960, 1728937983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728942080, 1728943103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728955392, 1728956415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728967680, 1728968703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728992256, 1728993279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1728999424, 1729000447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729004544, 1729005567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729005568, 1729006591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729010688, 1729011711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729032192, 1729033215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729037312, 1729038335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729038336, 1729039359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729040384, 1729041407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729060864, 1729061887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729087488, 1729088511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729115136, 1729116159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729122304, 1729123327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729123328, 1729124351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729124352, 1729125375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729129472, 1729130495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729133568, 1729134591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729177600, 1729178623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729198080, 1729199103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729208320, 1729209343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729219584, 1729220607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729225728, 1729226751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729282048, 1729283071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729286144, 1729287167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729287168, 1729288191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729290240, 1729291263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729301504, 1729302527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729308672, 1729309695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729309696, 1729310719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729314816, 1729315839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729315840, 1729316863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729316864, 1729317887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729357824, 1729358847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729367040, 1729368063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729372160, 1729373183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729392640, 1729393663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729396736, 1729397759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729404928, 1729405951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729427456, 1729428479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729458176, 1729459199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729459200, 1729460223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729464320, 1729465343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729465344, 1729466367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729474560, 1729475583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729482752, 1729483775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729490944, 1729491967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729495040, 1729496063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729496064, 1729497087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729497088, 1729498111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729498112, 1729499135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729499136, 1729500159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729500160, 1729501183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729501184, 1729502207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729502208, 1729503231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729503232, 1729504255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729504256, 1729505279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729505280, 1729506303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729506304, 1729507327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729507328, 1729508351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729508352, 1729509375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729509376, 1729510399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729510400, 1729511423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729511424, 1729512447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729512448, 1729513471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729513472, 1729514495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729514496, 1729515519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729515520, 1729516543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729516544, 1729517567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729517568, 1729518591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729518592, 1729519615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729520640, 1729521663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729521664, 1729522687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729522688, 1729523711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729523712, 1729524735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729524736, 1729525759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729525760, 1729526783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729526784, 1729527807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729543168, 1729544191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729553408, 1729554431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729559552, 1729560575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729562624, 1729563647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729574912, 1729575935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729601536, 1729602559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729602560, 1729603583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729605632, 1729606655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729618944, 1729619967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729655808, 1729656831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729658880, 1729659903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729662976, 1729663999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729671168, 1729672191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729673216, 1729674239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729682432, 1729683455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729684480, 1729685503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729689600, 1729690623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729690624, 1729691647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729693696, 1729694207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729696768, 1729697791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729697792, 1729698815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729698816, 1729699839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729699840, 1729700863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729700864, 1729701887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729701888, 1729702911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729703936, 1729704959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729708032, 1729709055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729709056, 1729710079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729729536, 1729730559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729731584, 1729732607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729746944, 1729747967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729757184, 1729758207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729773568, 1729774591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729797120, 1729798143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729798144, 1729799167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729815552, 1729816575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729818624, 1729819647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729823744, 1729824767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729825792, 1729826815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729828864, 1729829887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729837056, 1729838079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729847296, 1729848319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729875968, 1729876991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729884160, 1729885183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729889280, 1729890303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729890304, 1729891327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729940480, 1729941503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729957888, 1729958911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729986560, 1729987583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729987584, 1729988607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1729988608, 1729989631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730024448, 1730025471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730043904, 1730044927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730057216, 1730058239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730070528, 1730071551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730074624, 1730075647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730077696, 1730078719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730079744, 1730080767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730084864, 1730085887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730097152, 1730098175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730098176, 1730099199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730099200, 1730100223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730100224, 1730101247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730101248, 1730102271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730102272, 1730103295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730122752, 1730123775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730125824, 1730126847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730127872, 1730128895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730136064, 1730137087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730150400, 1730151423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730151424, 1730152447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730152448, 1730153471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730153472, 1730154495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730154496, 1730155519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730155520, 1730156543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730156544, 1730157567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730157568, 1730158591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730158592, 1730159615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730159616, 1730160639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730160640, 1730161663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730161664, 1730162687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730162688, 1730163711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730163712, 1730164735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730164736, 1730165759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730165760, 1730166783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730166784, 1730167807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730167808, 1730168831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730168832, 1730169855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730169856, 1730170879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730170880, 1730171903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730171904, 1730172927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730172928, 1730173951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730173952, 1730174975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730174976, 1730175999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730176000, 1730177023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730177024, 1730178047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730178048, 1730179071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730179072, 1730180095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730180096, 1730181119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730181120, 1730182143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730182144, 1730183167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730183168, 1730184191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730184192, 1730185215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730185216, 1730186239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730186240, 1730187263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730187264, 1730188287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730188288, 1730189311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730189312, 1730190335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730190336, 1730191359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730191360, 1730192383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730192384, 1730193407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730193408, 1730194431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730194432, 1730195455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730195456, 1730196479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730196480, 1730197503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730197504, 1730198527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730198528, 1730199551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730199552, 1730200575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730200576, 1730201599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730201600, 1730202623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730202624, 1730203647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730203648, 1730204671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730204672, 1730205695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730205696, 1730206719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730206720, 1730207743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730207744, 1730208767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730208768, 1730209791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730209792, 1730210815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730210816, 1730211839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730211840, 1730212863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730212864, 1730213887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730213888, 1730214911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730214912, 1730215935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730215936, 1730216959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730216960, 1730217983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730217984, 1730219007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730219008, 1730220031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730220032, 1730221055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730221056, 1730222079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730222080, 1730223103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730223104, 1730224127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730224128, 1730225151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730225152, 1730226175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730226176, 1730227199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730227200, 1730228223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730228224, 1730229247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730229248, 1730230271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730230272, 1730231295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730231296, 1730232319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730232320, 1730233343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730233344, 1730234367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730234368, 1730235391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730235392, 1730236415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730236416, 1730237439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730237440, 1730238463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730238464, 1730239487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730239488, 1730240511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730240512, 1730241535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730241536, 1730242559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730242560, 1730243583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730243584, 1730244607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730244608, 1730245631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730245632, 1730246655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730246656, 1730247679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730247680, 1730248703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730248704, 1730249727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730249728, 1730250751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730250752, 1730251775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730251776, 1730252799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730252800, 1730253823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730253824, 1730254847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730254848, 1730255871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730255872, 1730256895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730256896, 1730257919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730257920, 1730258943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730258944, 1730259967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730259968, 1730260991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730260992, 1730262015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730262016, 1730263039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730263040, 1730264063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730264064, 1730265087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730265088, 1730266111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730266112, 1730267135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730267136, 1730268159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730268160, 1730269183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730269184, 1730270207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730270208, 1730271231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730271232, 1730272255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730272256, 1730273279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730273280, 1730274303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730274304, 1730275327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730275328, 1730276351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730276352, 1730277375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730277376, 1730278399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730278400, 1730279423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730279424, 1730280447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730280448, 1730281471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730281472, 1730282495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730282496, 1730283519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730283520, 1730284543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730284544, 1730285567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730285568, 1730286591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730286592, 1730287615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730287616, 1730288639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730288640, 1730289663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730289664, 1730290687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730290688, 1730291711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730291712, 1730292735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730292736, 1730293759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730293760, 1730294783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730294784, 1730295807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730295808, 1730296831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730296832, 1730297855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730297856, 1730298879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730298880, 1730299903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730299904, 1730300927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730300928, 1730301951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730301952, 1730302975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730302976, 1730303999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730304000, 1730305023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730305024, 1730306047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730306048, 1730307071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730307072, 1730308095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730308096, 1730309119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730309120, 1730310143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730310144, 1730311167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730311168, 1730312191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730312192, 1730313215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730313216, 1730314239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730314240, 1730315263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730315264, 1730316287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730316288, 1730317311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730317312, 1730318335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730318336, 1730319359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730319360, 1730320383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730320384, 1730321407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730321408, 1730322431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730322432, 1730323455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730323456, 1730324479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730324480, 1730325503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730325504, 1730326527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730326528, 1730327551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730327552, 1730328575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730328576, 1730329599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730329600, 1730330623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730330624, 1730331647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730331648, 1730332671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730332672, 1730333695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730333696, 1730334719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730334720, 1730335743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730335744, 1730336767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730336768, 1730337791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730337792, 1730338815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730338816, 1730339839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730339840, 1730340863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730340864, 1730341887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730341888, 1730342911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730342912, 1730343935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730343936, 1730344959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730344960, 1730345983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730345984, 1730347007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730347008, 1730348031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730348032, 1730349055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730349056, 1730350079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730350080, 1730351103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730351104, 1730352127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730352128, 1730353151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730353152, 1730354175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730354176, 1730355199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730355200, 1730356223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730356224, 1730357247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730357248, 1730358271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730358272, 1730359295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730359296, 1730360319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730417664, 1730418687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730419712, 1730420735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730421760, 1730422783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730426880, 1730427903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730427904, 1730428927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730428928, 1730429951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730430976, 1730431999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730437120, 1730438143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730446336, 1730447359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730447360, 1730448383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730453504, 1730454527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730454528, 1730455551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730455552, 1730456575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730456576, 1730457599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730457600, 1730458623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730458624, 1730459647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730459648, 1730460671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730460672, 1730461695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730461696, 1730462719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730462720, 1730463743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730463744, 1730464767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730464768, 1730465791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730465792, 1730466815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730466816, 1730467839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730467840, 1730468863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730468864, 1730469887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730469888, 1730470911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730470912, 1730471935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730471936, 1730472959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730472960, 1730473983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730473984, 1730475007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730475008, 1730476031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730478080, 1730479103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730481152, 1730482175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730482176, 1730483199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730484224, 1730485247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730489344, 1730490367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730491392, 1730492415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730492416, 1730493439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730496512, 1730497535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730503680, 1730504703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730504704, 1730505727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730509824, 1730510847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730512896, 1730513919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730513920, 1730514943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730514944, 1730515967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730515968, 1730516991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730516992, 1730518015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730518016, 1730519039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730519040, 1730520063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730520064, 1730521087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730522112, 1730523135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730523136, 1730524159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730531328, 1730532351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730532352, 1730533375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730533376, 1730534399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730534400, 1730535423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730541568, 1730542591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730542592, 1730543615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730543616, 1730544639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730551808, 1730552831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730553856, 1730554879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730554880, 1730555903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730557952, 1730558975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730563072, 1730564095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730565120, 1730566143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730567168, 1730568191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730568192, 1730569215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730573312, 1730574335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730577408, 1730578431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730579456, 1730580479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730599936, 1730600959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730600960, 1730601983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730601984, 1730603007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730603008, 1730604031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730608128, 1730609151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730613248, 1730614271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730625536, 1730626559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730631680, 1730632703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730634752, 1730635775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730635776, 1730636799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730636800, 1730637823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730646016, 1730647039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730650112, 1730651135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730651136, 1730652159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730652160, 1730653183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730653184, 1730654207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730654208, 1730655231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730655232, 1730656255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730656256, 1730657279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730657280, 1730658303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730660352, 1730661375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730661376, 1730662399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730662400, 1730663423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730663424, 1730664447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730664448, 1730665471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730665472, 1730666495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730666496, 1730667519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730667520, 1730668543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730668544, 1730669567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730677760, 1730678783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730678784, 1730679807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730679808, 1730680831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730680832, 1730681855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730681856, 1730682879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730682880, 1730683903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730683904, 1730684927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730684928, 1730685951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730685952, 1730686975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730697216, 1730698239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730700288, 1730701311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730703360, 1730704383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730723840, 1730724863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730728960, 1730729983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730731008, 1730732031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730733056, 1730734079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730734080, 1730735103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730735104, 1730736127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730736128, 1730737151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730737152, 1730738175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730738176, 1730739199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730739200, 1730740223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730740224, 1730741247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730744320, 1730745343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730753536, 1730754559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730769920, 1730770943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730776064, 1730777087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730778112, 1730779135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730779136, 1730780159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730781184, 1730782207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730782208, 1730783231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730796544, 1730797567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730797568, 1730798591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730798592, 1730799615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730799616, 1730800639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730807808, 1730808831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730811904, 1730812927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730812928, 1730813951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730813952, 1730814975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730822144, 1730823167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730823168, 1730824191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730825216, 1730826239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730832384, 1730833407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730851840, 1730852863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730865152, 1730866175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730875392, 1730876415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730877440, 1730878463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730892800, 1730893823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730895872, 1730896895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730896896, 1730897919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730897920, 1730898943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730903040, 1730904063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730905088, 1730906111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730913280, 1730914303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730918400, 1730919423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730920448, 1730921471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730921472, 1730922495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730924544, 1730925567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730927616, 1730928639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730928640, 1730929663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730930688, 1730931711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730932736, 1730933759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730951168, 1730952191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730957312, 1730958335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730959360, 1730960383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730967552, 1730968575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730968576, 1730969599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730970624, 1730971647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730973696, 1730974719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730975744, 1730976767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730979840, 1730980863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730981888, 1730982911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730982912, 1730983935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730983936, 1730984959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730984960, 1730985983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730985984, 1730987007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730987008, 1730988031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730988032, 1730989055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730989056, 1730990079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(1730994176, 1730995199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730997248, 1730998271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730998272, 1730999295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1730999296, 1731000319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731000320, 1731001343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731001344, 1731002367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731002368, 1731003391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731003392, 1731004415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731004416, 1731005439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731005440, 1731006463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731006464, 1731007487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731007488, 1731008511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731008512, 1731009535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731009536, 1731010559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731010560, 1731011583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731011584, 1731012607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731012608, 1731013631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731013632, 1731014655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731014656, 1731015679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731015680, 1731016703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731016704, 1731017727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731017728, 1731018751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731020800, 1731021823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731021824, 1731022847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731022848, 1731023871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731023872, 1731024895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731024896, 1731025919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731025920, 1731026943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731026944, 1731027967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731027968, 1731028991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731028992, 1731030015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731030016, 1731031039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731031040, 1731032063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731032064, 1731033087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731033088, 1731034111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731034112, 1731035135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731035136, 1731036159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731036160, 1731037183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731037184, 1731038207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731038208, 1731039231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731039232, 1731040255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731040256, 1731041279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731041280, 1731042303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731042304, 1731043327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731043328, 1731044351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731044352, 1731045375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731045376, 1731046399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731046400, 1731047423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731047424, 1731048447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731048448, 1731049471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731049472, 1731050495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731050496, 1731051519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731051520, 1731052543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731052544, 1731053567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731053568, 1731054591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731054592, 1731055615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731055616, 1731056639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731056640, 1731057663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731057664, 1731058687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731058688, 1731059711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731059712, 1731060735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731065856, 1731066879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731067904, 1731068927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731070976, 1731071999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731072000, 1731073023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731073024, 1731074047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731074048, 1731075071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731075072, 1731076095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731076096, 1731077119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731077120, 1731078143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731078144, 1731079167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731079168, 1731080191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731080192, 1731081215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731081216, 1731082239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731082240, 1731083263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731083264, 1731084287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731084288, 1731085311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731085312, 1731086335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731086336, 1731087359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731087360, 1731088383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731088384, 1731089407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731089408, 1731090431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731090432, 1731091455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731091456, 1731092479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731092480, 1731093503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731093504, 1731094527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731094528, 1731095551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731095552, 1731096575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731096576, 1731097599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731097600, 1731098623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731098624, 1731099647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731099648, 1731100671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731100672, 1731101695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731101696, 1731102719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731102720, 1731103743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731106816, 1731107839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731107840, 1731108863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731108864, 1731109887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731109888, 1731110911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731110912, 1731111935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731111936, 1731112959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731112960, 1731113983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731113984, 1731115007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731130368, 1731131391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731131392, 1731132415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731134464, 1731135487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731138560, 1731139583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731142656, 1731143679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731143680, 1731144703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731145728, 1731146751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731153920, 1731154943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731158016, 1731159039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731161088, 1731162111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731163136, 1731164159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731164160, 1731165183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731168256, 1731169279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731169280, 1731170303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731184640, 1731185663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731187712, 1731188735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731189760, 1731190783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731196928, 1731197951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731204096, 1731205119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731212288, 1731213311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731222528, 1731223551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731235840, 1731236863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731236864, 1731237887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731237888, 1731238911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731238912, 1731239935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731250688, 1731251199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731254272, 1731255295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731255296, 1731256319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731256320, 1731257343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731257344, 1731258367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731258368, 1731259391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731259392, 1731260415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731260416, 1731261439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731261440, 1731262463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731267584, 1731268607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731269632, 1731270655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731282944, 1731283967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731283968, 1731284991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731288064, 1731289087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731289088, 1731290111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731292160, 1731293183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731297280, 1731298303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731309568, 1731310591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731310592, 1731311615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731314688, 1731315711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731328000, 1731329023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731339264, 1731340287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731341312, 1731342335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731342336, 1731343359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731343360, 1731344383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731344384, 1731345407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731345408, 1731346431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731346432, 1731347455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731347456, 1731348479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731348480, 1731349503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731357696, 1731358719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731358720, 1731359743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731359744, 1731360767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731360768, 1731361791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731361792, 1731362815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731363840, 1731364863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731364864, 1731365887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731365888, 1731366911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731374080, 1731375103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731375104, 1731376127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731376128, 1731377151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731377152, 1731378175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731378176, 1731379199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731379200, 1731380223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731380224, 1731381247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731381248, 1731382271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731386368, 1731387391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731387392, 1731388415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731388416, 1731389439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731389440, 1731390463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731390464, 1731391487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731391488, 1731392511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731392512, 1731393535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731393536, 1731394559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731394560, 1731395583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731471360, 1731472383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731479552, 1731480575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731480576, 1731481599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731481600, 1731482623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731482624, 1731483647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731485696, 1731486719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731486720, 1731487743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731487744, 1731488767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731502080, 1731503103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731503104, 1731504127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731505152, 1731506175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731506176, 1731507199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731508224, 1731509247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731511296, 1731512319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731527680, 1731528703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731543040, 1731544063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731544064, 1731545087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731550208, 1731551231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731552256, 1731553279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731558400, 1731559423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731559424, 1731560447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731560448, 1731561471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731561472, 1731562495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731562496, 1731563519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731563520, 1731564543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731567616, 1731568639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731572736, 1731573759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731578880, 1731579903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731579904, 1731580927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731581952, 1731582975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731587072, 1731588095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731590144, 1731591167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731594240, 1731595263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731604480, 1731605503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731607552, 1731608575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731633152, 1731634175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731634176, 1731635199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731646464, 1731647487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731650560, 1731651583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731653632, 1731654655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731663872, 1731664895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731678208, 1731679231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731688448, 1731689471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731696640, 1731697663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731701760, 1731702783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731709952, 1731710975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731710976, 1731711999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731716096, 1731717119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731718144, 1731719167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731719168, 1731720191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731725312, 1731726335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731727360, 1731728383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731728384, 1731729407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731731456, 1731732479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731736576, 1731737599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731737600, 1731738623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731738624, 1731739647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731741696, 1731742719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731742720, 1731743743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731748864, 1731749887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731749888, 1731750911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731759104, 1731760127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731762176, 1731763199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731770368, 1731771391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731774464, 1731775487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731778560, 1731779583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731791872, 1731792895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731802112, 1731803135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731803136, 1731804159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731808256, 1731809279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731816448, 1731817471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731823616, 1731824639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731838976, 1731839999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731860480, 1731861503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731900928, 1731901439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731939328, 1731940351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731945472, 1731946495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731948544, 1731949567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731949568, 1731950591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731950592, 1731951615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731951616, 1731952639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731952640, 1731953663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731957760, 1731958783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731961856, 1731962879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731975168, 1731976191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731993600, 1731994623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1731996672, 1731997695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732027392, 1732028415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732043776, 1732044799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732045824, 1732046847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732066304, 1732067327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732077568, 1732078591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732086784, 1732087807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732089856, 1732090879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732090880, 1732091903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732091904, 1732092927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732094976, 1732095999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732096000, 1732097023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732098048, 1732099071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732099072, 1732100095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732122624, 1732123647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732129792, 1732130815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732134912, 1732135935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732135936, 1732136959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732136960, 1732137983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732137984, 1732139007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732139008, 1732140031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732141056, 1732142079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732142080, 1732143103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732143104, 1732144127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732144128, 1732145151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732145152, 1732146175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732146176, 1732147199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732147200, 1732148223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732148224, 1732149247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732149248, 1732150271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732150272, 1732151295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732156416, 1732157439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732157440, 1732158463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732158464, 1732159487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732159488, 1732160511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732160512, 1732161535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732161536, 1732162559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732162560, 1732163583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732163584, 1732164607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732164608, 1732165631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732165632, 1732166655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732168704, 1732169727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732169728, 1732170751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732170752, 1732171775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732171776, 1732172799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732172800, 1732173823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732173824, 1732174847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732190208, 1732191231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732191232, 1732192255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732192256, 1732193279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732193280, 1732194303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732194304, 1732195327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732195328, 1732196351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732196352, 1732197375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732197376, 1732198399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732198400, 1732199423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732199424, 1732200447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732200448, 1732201471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732201472, 1732202495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732202496, 1732203519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732203520, 1732204543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732204544, 1732205567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732217856, 1732218879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732218880, 1732219903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732220928, 1732221951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732222976, 1732223999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732224000, 1732225023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732225024, 1732226047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732226048, 1732227071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732227072, 1732228095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732228096, 1732229119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732229120, 1732230143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732231168, 1732232191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732232192, 1732233215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732233216, 1732234239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732234240, 1732235263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732235264, 1732236287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732243456, 1732244479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732244480, 1732245503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732245504, 1732246527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1732246528, 1732247551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740636160, 1740637183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740637184, 1740638207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740638208, 1740639231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740639232, 1740640255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740640256, 1740641279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740641280, 1740642303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740642304, 1740643327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740643328, 1740644351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740645376, 1740646399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740648448, 1740649471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740649472, 1740650495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740650496, 1740651519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740657664, 1740658687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740658688, 1740659711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740659712, 1740660735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740660736, 1740661759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740661760, 1740662783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740662784, 1740663807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740663808, 1740664831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740664832, 1740665855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740668928, 1740669951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740669952, 1740670975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740670976, 1740671999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740672000, 1740673023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740673024, 1740674047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740678144, 1740679167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740684288, 1740685311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740689408, 1740690431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740690432, 1740691455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740691456, 1740692479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740700672, 1740701695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740711936, 1740712959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740712960, 1740713983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740732416, 1740733439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740733440, 1740734463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740737536, 1740738559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740738560, 1740739583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740739584, 1740740607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740742656, 1740743679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740749824, 1740750847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1740750848, 1740751871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742234624, 1742235417, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742743552, 1742744575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742744576, 1742745599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742748672, 1742749695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742753792, 1742754815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742789632, 1742790655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742790656, 1742791679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742791680, 1742792703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742792704, 1742793727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742820352, 1742821375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742868480, 1742869503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742874624, 1742875647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742878720, 1742879743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742879744, 1742880767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742884864, 1742885887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742894080, 1742895103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742898176, 1742899199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742904320, 1742905343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742910464, 1742911487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742914560, 1742915583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742942208, 1742943231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742948352, 1742949375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742949376, 1742950399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742950400, 1742951423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742955520, 1742956543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742960640, 1742961663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742963712, 1742964735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742964736, 1742965759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742980096, 1742981119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742982144, 1742983167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742984192, 1742985215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742988288, 1742989311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1742998528, 1742999551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743002624, 1743003647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743012864, 1743013887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743017984, 1743019007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743028224, 1743029247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743036416, 1743037439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743040512, 1743041535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743047680, 1743048703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743048704, 1743049727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743053824, 1743054847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743054848, 1743055871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743066112, 1743067135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743095808, 1743096831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743098880, 1743099903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743105024, 1743106047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743115264, 1743116287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743116288, 1743117311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743117312, 1743118335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743119360, 1743120383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743121408, 1743122431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743122432, 1743123455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743126528, 1743127551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743133696, 1743134719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743136768, 1743137791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743137792, 1743138815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743151104, 1743152127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743176704, 1743177727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743177728, 1743178751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743178752, 1743179775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743180800, 1743181823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743186944, 1743187967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743196160, 1743197183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743197184, 1743198207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743208448, 1743209471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743209472, 1743210495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743228928, 1743229951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743238144, 1743239167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743239168, 1743240191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743254528, 1743255551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743258624, 1743259647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743294464, 1743295487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743311872, 1743312895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743324160, 1743325183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743334400, 1743335423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743336448, 1743337471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743349760, 1743350783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743355904, 1743356927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743357952, 1743358975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743381504, 1743382527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743388672, 1743389695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743393792, 1743394815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743403008, 1743404031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743420416, 1743421439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743421440, 1743422463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743432704, 1743433727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743434752, 1743435775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743458304, 1743459327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743466496, 1743467519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743468544, 1743469567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743469568, 1743470591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743474688, 1743475711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743475712, 1743476735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743486976, 1743487999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743488000, 1743489023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743489024, 1743490047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743490048, 1743491071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743491072, 1743492095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743492096, 1743493119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743501312, 1743502335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743503360, 1743504383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743505408, 1743506431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743510528, 1743511551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743511552, 1743512575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743512576, 1743513599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743513600, 1743514623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743514624, 1743515647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743515648, 1743516671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743516672, 1743517695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743517696, 1743518719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743518720, 1743519743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743519744, 1743520767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743520768, 1743521791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743521792, 1743522815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743522816, 1743523839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743523840, 1743524863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743524864, 1743525887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743525888, 1743526911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743526912, 1743527935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743527936, 1743528959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743528960, 1743529983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743529984, 1743531007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743531008, 1743532031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743532032, 1743533055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743533056, 1743534079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743534080, 1743535103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743535104, 1743536127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743536128, 1743537151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743537152, 1743538175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743538176, 1743539199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743539200, 1743540223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743540224, 1743541247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743541248, 1743542271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743542272, 1743543295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743543296, 1743544319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743544320, 1743545343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743585280, 1743586303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743586304, 1743587327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743587328, 1743588351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743588352, 1743589375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743591424, 1743592447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743592448, 1743593471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743602688, 1743603711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743607808, 1743608831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743624192, 1743625215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743630336, 1743631359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743631360, 1743632383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743632384, 1743633407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743633408, 1743634431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743634432, 1743635455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743635456, 1743636479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743636480, 1743637503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743637504, 1743638527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743638528, 1743639551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743639552, 1743640575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743640576, 1743641599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743641600, 1743642623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743642624, 1743643647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743643648, 1743644671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743644672, 1743645695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743645696, 1743646719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743646720, 1743647743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743647744, 1743648767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743648768, 1743649791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743649792, 1743650815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743650816, 1743651839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743651840, 1743652863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743654912, 1743655935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743655936, 1743656959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743656960, 1743657983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743657984, 1743659007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743659008, 1743660031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743660032, 1743661055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743661056, 1743662079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743662080, 1743663103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743663104, 1743664127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743664128, 1743665151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743665152, 1743666175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743673344, 1743674367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743674368, 1743675391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743675392, 1743676415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743684608, 1743685631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743686656, 1743687679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743687680, 1743688703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743691776, 1743692799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743692800, 1743693823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743693824, 1743694847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743694848, 1743695871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743695872, 1743696895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743696896, 1743697919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743697920, 1743698943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743698944, 1743699967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743700992, 1743702015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743703040, 1743704063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743715328, 1743716351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743716352, 1743717375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743726592, 1743727615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743727616, 1743728639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743733760, 1743734783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743740928, 1743741951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743755264, 1743756287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743756288, 1743757311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743761408, 1743762431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743762432, 1743763455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743763456, 1743764479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743765504, 1743766527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743766528, 1743767551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743768576, 1743769599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743769600, 1743770623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743773696, 1743774719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743778816, 1743779839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743785984, 1743787007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743791104, 1743792127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743800320, 1743801343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743803392, 1743804415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743813632, 1743814655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743821824, 1743822847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743825920, 1743826943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743844352, 1743845375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743850496, 1743851519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743865856, 1743866879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743870976, 1743871999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743872000, 1743873023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743888384, 1743889407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743894528, 1743895551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743895552, 1743896575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743903744, 1743904767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743915008, 1743916031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743929344, 1743930367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743945728, 1743946751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743946752, 1743947775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743953920, 1743954943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743955968, 1743956991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743956992, 1743958015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743958016, 1743959039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743964160, 1743965183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743967232, 1743968255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743969280, 1743970303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743974400, 1743975423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1743984640, 1743985663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744013312, 1744014335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744043008, 1744044031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744048128, 1744049151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744058880, 1744059391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744059392, 1744060415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744060416, 1744061439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744061440, 1744062463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744062464, 1744063487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744063488, 1744064511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744064512, 1744065535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744065536, 1744066559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744086016, 1744087039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744103424, 1744104447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744108544, 1744109567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744115456, 1744115711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744122880, 1744123903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744124928, 1744125951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744130048, 1744131071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744141312, 1744142335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744142336, 1744143359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744177152, 1744178175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744178176, 1744179199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744205824, 1744206847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744206848, 1744207871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744208896, 1744209919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744214016, 1744215039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744215040, 1744216063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744283648, 1744284671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744284672, 1744285695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744285696, 1744286719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744291840, 1744292863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744294912, 1744295935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744306176, 1744306687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744322560, 1744323583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744331776, 1744332799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744337920, 1744338943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744345088, 1744346111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744349184, 1744350207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744355328, 1744356351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744360448, 1744361471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744363520, 1744364543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744364544, 1744365567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744374784, 1744375807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744385024, 1744386047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744404480, 1744405503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744406528, 1744407551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744408576, 1744409599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744413696, 1744414719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744414720, 1744415743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744415744, 1744416767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744416768, 1744417791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744419840, 1744420863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744420864, 1744421887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744434176, 1744435199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744436224, 1744437247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744445440, 1744446463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744463872, 1744464895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744468992, 1744470015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744483328, 1744484351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744486400, 1744487423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744492544, 1744493567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744494592, 1744495615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744497664, 1744498687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744500736, 1744501759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744501760, 1744502783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744510976, 1744511999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744524288, 1744525311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744527360, 1744528383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744534528, 1744535551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744535552, 1744536575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(1744543744, 1744544767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744555008, 1744556031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744563200, 1744564223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744564224, 1744565247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744575488, 1744576511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744577536, 1744578559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744584704, 1744585727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744594944, 1744595967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744612352, 1744613375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744620544, 1744621567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744621568, 1744622591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744627712, 1744628735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744631808, 1744632831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744634880, 1744635903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744649216, 1744650239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744686080, 1744687103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744690176, 1744691199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744691200, 1744692223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744693248, 1744694271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744701440, 1744702463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744704512, 1744705535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744715776, 1744716799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744716800, 1744717823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744717824, 1744718847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744718848, 1744719871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744728064, 1744729087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744744448, 1744745471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744747520, 1744748543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744749568, 1744749823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744755712, 1744756735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744782336, 1744783359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744787456, 1744788479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744788480, 1744789503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744799744, 1744800767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744800768, 1744801791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744812032, 1744813055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744816128, 1744817151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744818176, 1744819199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744819200, 1744820223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1744823296, 1744824319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1754532864, 1754533375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778384896, 1778385151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778385408, 1778385919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778385920, 1778386943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778386944, 1778388991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778388992, 1778393087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778401280, 1778417663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778515968, 1778647039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778647040, 1778909183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1778909184, 1779040255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1779105792, 1779171327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1779171328, 1779433471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1779433472, 1780482047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1780482048, 1781530623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1781530624, 1781661695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1781661696, 1781727231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1781792768, 1782054911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1782054912, 1782579199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1783234560, 1783300095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1783300096, 1783365631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1783627776, 1784676351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1785462784, 1785724927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1785724928, 1786249215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1786249216, 1786773503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1793064960, 1794113535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1845886976, 1846018047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1846542336, 1846804479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1848115200, 1848377343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1848414208, 1848418303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1848639488, 1848705023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1848836096, 1848901631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1848901632, 1849032703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1849163776, 1849688063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1849688064, 1849819135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850212352, 1850343423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850408960, 1850441727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850441728, 1850449919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850449920, 1850458111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850458112, 1850474495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850474496, 1850482687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850482688, 1850490879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850514432, 1850515455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850521600, 1850522623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850523648, 1850540031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850540032, 1850572799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1850736640, 1851260927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1851260928, 1851523071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1851596800, 1851604991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1851654144, 1851785215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1851785216, 1853882367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1855455232, 1855717375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1855717376, 1855848447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856315392, 1856323583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856372736, 1856503807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856815104, 1856831487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856831488, 1856839679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856839680, 1856843775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856847872, 1856856063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856856064, 1856864255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1856880640, 1856888831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1857028096, 1857552383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1857552384, 1858076671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1858076672, 1860173823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1860435968, 1860698111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1860706304, 1860714495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1860960256, 1861091327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1861222400, 1862270975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1862270976, 1866465279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1866596352, 1866661887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1866711040, 1866715135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1866743808, 1866751999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1866989568, 1867513855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1867841536, 1867907071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1868283904, 1868292095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1869611008, 1869742079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1869742080, 1869873151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1869873152, 1870004223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870055424, 1870057471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870086144, 1870102527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870102528, 1870110719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870135296, 1870397439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870397440, 1870462975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870528512, 1870659583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1870659584, 1872756735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1872756736, 1873281023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1873412096, 1873477631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1873543168, 1873805311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1873805312, 1874329599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1874460672, 1874591743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1874853888, 1875902463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1875902464, 1876164607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876164608, 1876426751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876761600, 1876761855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876787200, 1876819967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876819968, 1876885503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876946944, 1876947967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876948992, 1876950015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1876951040, 1877213183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1877213184, 1877475327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1877696512, 1877704703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1877711872, 1877712895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1877712896, 1877721087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1879048192, 1883242495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1883242496, 1883373567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1883373568, 1883504639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1883832320, 1883897855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1883897856, 1884028927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1884291072, 1884815359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1884815360, 1885339647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1885339648, 1885470719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1885470720, 1885601791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1885601792, 1885863935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1886224384, 1886257151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1886322688, 1886388223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1886388224, 1886650367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1886650368, 1886781439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1887043584, 1887174655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1887174656, 1887436799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1887436800, 1887698943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1887698944, 1887764479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1888038912, 1888040959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1891631104, 1891893247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1893728256, 1895825407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1895825408, 1896349695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1896349696, 1896480767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1896595456, 1896603647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1896611840, 1896873983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1896873984, 1897005055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1897005056, 1897070591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1897398272, 1897660415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1897857024, 1897922559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1898708992, 1898971135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1898971136, 1899233279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899274240, 1899282431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899364352, 1899495423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899495424, 1899626495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899626496, 1899692031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899692032, 1899724799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899749376, 1899750399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1899888640, 1900019711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1900019712, 1902116863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1902116864, 1903165439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1903165440, 1903689727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1903689728, 1904214015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1904214016, 1904345087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1904369664, 1904373759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1904373760, 1904375807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1904476160, 1904738303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1904738304, 1905262591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1908539392, 1908670463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1908761600, 1908762623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1908932608, 1909063679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909063680, 1909129215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909194752, 1909456895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909481472, 1909489663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909489664, 1909522431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909522432, 1909587967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909719040, 1909735423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909744640, 1909745663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909766144, 1909768191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909784576, 1909817343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1909850112, 1909981183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1910112256, 1910243327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1910243328, 1910505471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1910505472, 1911554047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1911554048, 1912078335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1912078336, 1912340479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1914437632, 1914503167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1916141568, 1916272639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1916534784, 1916796927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1916796928, 1917059071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1917059072, 1917124607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1917796352, 1917812735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1917845504, 1918894079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1918894080, 1919418367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1919418368, 1919680511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1919811584, 1919815679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1919827968, 1919844351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1919877120, 1919885311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1919918080, 1919926271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1919942656, 1920204799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920024576, 1920040729, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920204800, 1920335871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920335872, 1920401407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920401408, 1920434175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920434176, 1920450559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920450560, 1920452607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920452608, 1920453631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920453632, 1920454655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920454656, 1920458751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1920458752, 1920466943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1921253376, 1921318911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1921449984, 1921515519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1921646592, 1921777663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1921859584, 1921861631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1921875968, 1921892351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1925447680, 1925578751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1925642240, 1925644287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1926234112, 1926496255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1926496256, 1926627327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1926627328, 1926692863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1926692864, 1926758399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1926758400, 1927282687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1927282688, 1928331263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1928331264, 1929379839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1930952704, 1931214847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1931214848, 1931345919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1931476992, 1931739135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1932263424, 1932394495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1932394496, 1932460031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1932460032, 1932525567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1932525568, 1933574143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1933918208, 1933922303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1934884864, 1934901247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1934934016, 1934942207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1934999552, 1935015935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1935933440, 1936195583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1936195584, 1936457727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1937244160, 1937506303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1937510400, 1937514495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1939079168, 1939341311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1939341312, 1939472383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1939472384, 1939603455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1939603456, 1939734527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1939734528, 1939800063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1939800064, 1939865599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1940275200, 1940283391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1940389888, 1940652031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1940652032, 1940914175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1941176320, 1941438463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1941831680, 1941962751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1941962752, 1944059903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1944059904, 1945108479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1946159104, 1946161151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1946163200, 1946165247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1946222592, 1946288127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1946288128, 1946419199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1946419200, 1946681343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1946681344, 1946943487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1947009024, 1947074559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1947205632, 1948254207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1949433856, 1949437951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1949564928, 1949827071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1949827072, 1949958143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1949990912, 1949995007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1950011392, 1950015487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1950089216, 1950351359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1950482432, 1950515199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1950679040, 1950744575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1950744576, 1950777343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1951137792, 1951268863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1951268864, 1951399935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1951727616, 1951793151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1952026624, 1952030719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1952075776, 1952079871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1952102400, 1952104447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1952382976, 1952448511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1953497088, 1953759231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1953669120, 1953672985, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1953759232, 1953890303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1954545664, 1958739967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1958739968, 1958805503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1958809600, 1958813695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1958813696, 1958821887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1958850560, 1958852607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1958871040, 1959002111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959002112, 1959067647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959133184, 1959198719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959198720, 1959231487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959231488, 1959239679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959526400, 1959657471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959723008, 1959788543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1959788544, 1960050687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960091648, 1960095743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960132608, 1960148991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960148992, 1960181759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960189952, 1960198143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960198144, 1960202239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960214528, 1960247295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960247296, 1960312831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960312832, 1960574975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1960837120, 1961885695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962016768, 1962147839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962147840, 1962278911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962278912, 1962409983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962409984, 1962541055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962622976, 1962639359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962672128, 1962803199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962835968, 1962868735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1962901504, 1962934271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1963458560, 1963982847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1964310528, 1964376063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1964376064, 1964507135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1964507136, 1965031423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1965031424, 1965555711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1965555712, 1965817855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1965817856, 1965948927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966080000, 1966342143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966419968, 1966424063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966452736, 1966456831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966669824, 1966735359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966735360, 1966768127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966800896, 1966866431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1966866432, 1967128575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967128576, 1967652863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967652864, 1967783935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967800320, 1967804415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967804416, 1967808511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967816704, 1967849471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967849472, 1967915007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1967915008, 1968177151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1968177152, 1969225727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969487872, 1969618943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969688576, 1969692671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969694720, 1969696767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969702912, 1969704959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969717248, 1969721343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969793024, 1969795071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1969881088, 1970012159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970274304, 1970798591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970814976, 1970831359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970831360, 1970864127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970864128, 1970896895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970896896, 1970913279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970913280, 1970915327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1970962432, 1970995199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1971060736, 1971322879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1971322880, 1975517183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1981284352, 1981415423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1981415424, 1981480959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1981546496, 1981677567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1981677568, 1981743103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1981743104, 1981808639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1983905792, 1984036863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1984036864, 1984102399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1984131072, 1984135167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1984430080, 1984954367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1984954368, 1985085439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1985216512, 1985347583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1985486848, 1985495039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1985495040, 1985511423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1985511424, 1985544191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1985544192, 1985609727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1985736704, 1985740799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1986400256, 1986404351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1986404352, 1986406399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1987051520, 1987575807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1987575808, 1987837951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1987837952, 1987969023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1987969024, 1988034559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1988067328, 1988075519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1988362240, 1988624383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1988886528, 1989148441, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1989148672, 1989410815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1991376896, 1991442431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1991507968, 1991770111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1991770112, 1991802879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1991802880, 1991835647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1991901184, 1992032255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992032256, 1992097791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992163328, 1992228863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992228864, 1992294399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992294400, 1992425471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992425472, 1992458239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992458240, 1992491007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992491008, 1992523775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992523776, 1992556543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992556544, 1992818687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1992949760, 1993080831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1993080832, 1993342975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1993605120, 1993670655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1993670656, 1993736191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1994391552, 1994653695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1994653696, 1994784767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1994784768, 1994850303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1995374592, 1995440127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1995571200, 1995636735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1995702272, 1995964415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1995964416, 1996488703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1996488704, 1996619775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1996619776, 1996627967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1996652544, 1996685311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1996685312, 1996750847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1996750848, 1997012991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997012992, 1997078527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997144064, 1997176831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997506560, 1997508607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997537280, 1997602815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997717504, 1997721599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997721600, 1997723647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997725696, 1997729791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997729792, 1997733887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997733888, 1997799423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1997799424, 1998061567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998274560, 1998290943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998290944, 1998299135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998299136, 1998307327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998307328, 1998323711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998323712, 1998454783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998467072, 1998471167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998569472, 1998577663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998585856, 1998847999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998848000, 1998913535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998913536, 1998946303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998946304, 1998962687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998962688, 1998979071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1998979072, 1999011839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999011840, 1999028223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999028224, 1999032319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999032320, 1999036415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999036416, 1999044607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999044608, 1999110143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999110144, 1999126527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999126528, 1999130623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999142912, 1999175679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999175680, 1999241215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999241216, 1999249407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999273984, 1999276031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999276032, 1999278079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999298560, 1999306751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999372288, 1999503359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(1999634432, 2000158719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000224256, 2000289791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000289792, 2000355327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000388096, 2000420863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000420864, 2000486399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000486400, 2000551935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000551936, 2000617471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2000625664, 2000633855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001457152, 2001461247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001600512, 2001731583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001731584, 2001797119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001838768, 2001838783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001858277, 2001858277, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001858896, 2001858903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001915904, 2001919999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2001993728, 2002255871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2002255872, 2002518015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2002780160, 2003304447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2003566592, 2003697663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2003828736, 2004353023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2004353024, 2004877311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2004877312, 2005925887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2005925888, 2006188031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2006228992, 2006233087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2006233088, 2006237183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2006433792, 2006450175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2007025664, 2007027711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2007072768, 2007105535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2007105536, 2007236607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2007236608, 2007498751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2008023040, 2009071615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2011693056, 2011824127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2011922432, 2011938815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2012741632, 2013003775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2013028352, 2013030399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2013065216, 2013069311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2013069312, 2013134847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2013134848, 2013265919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2013265920, 2014314495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2014838784, 2015100927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2015232000, 2015297535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2015297536, 2015363071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2015363072, 2015887359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2015887360, 2016149503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2016149504, 2016411647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2016411648, 2016542719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2016673792, 2016739327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2016739328, 2016804863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2016804864, 2016935935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2017460224, 2017722367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2017722368, 2017984511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2017992704, 2018000895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2018017280, 2018050047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2018246656, 2018508799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2018508800, 2019033087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2019035136, 2019037183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2019164160, 2019295231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2019295232, 2019360767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2019426304, 2019491839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2019491840, 2019557375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2021654528, 2021916671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2021916672, 2021949439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2021949440, 2021982207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2021982208, 2022047743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2022047744, 2022178815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2022211584, 2022227967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2022244352, 2022277119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2022670336, 2022678527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2025848832, 2030043135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2030045184, 2030047231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2030047232, 2030051327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2030305280, 2030436351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2030567424, 2031091711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2031091712, 2031615999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2031616000, 2031878143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2031878144, 2032009215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032009216, 2032074751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032074752, 2032140287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032140288, 2032402431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032402432, 2032467967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032467968, 2032533503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032533504, 2032664575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2032664576, 2032926719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033057792, 2033074175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033090560, 2033123327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033123328, 2033188863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033188864, 2033319935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033321984, 2033324031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033385472, 2033451007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033491968, 2033500159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033504256, 2033508351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033508352, 2033516543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033627136, 2033629183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033647616, 2033663999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033713152, 2033844223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033844224, 2033876991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033879040, 2033881087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033881088, 2033885183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033885184, 2033887231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033909760, 2033975295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2033975296, 2034237439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2034499584, 2034761727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2035023872, 2035154943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2035253248, 2035269631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2035875840, 2035941375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2036629504, 2036662271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2036662272, 2036678655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2036715520, 2036719615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2042626048, 2042691583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2042691584, 2042757119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2042757120, 2042888191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2042888192, 2043150335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2043199488, 2043201535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2043215872, 2043281407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2043412480, 2043674623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2044723200, 2045771775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2046296064, 2046558207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2046754816, 2046820351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2046836736, 2046853119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2046853120, 2046885887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047082496, 2047344639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047344640, 2047410175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047410176, 2047475711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047475712, 2047508479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047508480, 2047541247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047541248, 2047574015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047606784, 2047672319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047672320, 2047737855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2047737856, 2047803391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2049966080, 2050031615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2050031616, 2050047999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2050162688, 2050228223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2051014656, 2053111807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2053111808, 2053242879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2053176768, 2053176831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2053505024, 2053509119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2053521408, 2053525503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2053525504, 2053529599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2054160384, 2054422527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2054619136, 2054684671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2055239680, 2055241727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2055733248, 2056257535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2056290304, 2056323071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2056830976, 2056847359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2057043968, 2057306111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2059141120, 2059403263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2059403264, 2059665407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2059796480, 2059862015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2059943936, 2059960319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2060005376, 2060009471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2060189696, 2060451839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2061500416, 2062548991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2062483456, 2062548761, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2062548992, 2063073279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2063079424, 2063081471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2063085568, 2063089663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2063548416, 2063550463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2063630336, 2063646719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2063859712, 2064121855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2064121856, 2064646143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2066841600, 2066874367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2066915328, 2066923519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067005440, 2067267583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067267584, 2067398655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067398656, 2067464191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067464192, 2067529727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067529728, 2067595263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067595264, 2067660799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067660800, 2067726335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2067791872, 2069889023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2069889024, 2070020095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070020096, 2070052863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070118400, 2070151167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070151168, 2070159359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070216704, 2070282239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070347776, 2070380543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070708224, 2070712319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070728704, 2070732799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2070937600, 2071986175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2071986176, 2072510463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2072530944, 2072535039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2072576000, 2072641535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2072641536, 2072772607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2073034752, 2073296895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2073296896, 2073362431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2073362432, 2073427967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2073427968, 2073559039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2073559040, 2074083327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2074083328, 2074345471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2074345472, 2074607615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2074607616, 2074869759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2074869760, 2075000831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075000832, 2075131903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075147264, 2075148287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075152384, 2075156479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075197440, 2075262975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075262976, 2075394047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075394048, 2075656191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075656192, 2075918335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2075918336, 2076180479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2076442624, 2076573695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2076672000, 2076704767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2077097984, 2077229055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2078801920, 2079064063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2079457280, 2079490047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2079588352, 2079850495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2079916032, 2079981567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2080178176, 2080243711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2080784384, 2080800767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081292288, 2081423359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081423360, 2081554431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081685504, 2081751039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081751040, 2081755135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081755136, 2081759231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081759232, 2081767423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081767424, 2081783807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081783808, 2081816575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2081816576, 2081947647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2082258944, 2082275327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2082275328, 2082308095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2082406400, 2082471935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2083024896, 2083028991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2083028992, 2083045375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2083045376, 2083053567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2083127296, 2083160063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2083160064, 2083192831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2083454976, 2083471359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2084569088, 2084700159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2084700160, 2084732927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2084765696, 2084831231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2084831232, 2085093375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2085093376, 2085158911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2085158912, 2085224447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2085224448, 2085355519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2085355520, 2085617663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2086141952, 2086207487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2086207488, 2086240255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2086240256, 2086273023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2086273024, 2086404095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2086404096, 2086666239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2087454720, 2087456767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(2087462912, 2087464959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2087542784, 2087544831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2087714816, 2087845887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2087845888, 2087976959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2087976960, 2088042495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2088042496, 2088108031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2088108032, 2088239103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2088632320, 2088763391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2088763392, 2089287679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090041344, 2090074111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090270720, 2090336255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090336256, 2090401791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090598400, 2090663935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090860544, 2090926079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090926080, 2090991615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2090991616, 2091057151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2091057152, 2091122687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2091122688, 2091384831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2091646976, 2091778047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2091778048, 2091909119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2092957696, 2093088767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2093219840, 2093285375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2093481984, 2094006271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2094792704, 2095054847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095054848, 2095120383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095120384, 2095185919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095185920, 2095316991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095316992, 2095579135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095579136, 2095710207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095710208, 2095841279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2095841280, 2096103423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096103424, 2096136191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096136192, 2096152575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096234496, 2096300031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096349184, 2096365567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096627712, 2096660479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096693248, 2096758783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2096758784, 2096889855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2097020928, 2097037311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099232768, 2099249151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099249152, 2099314687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099314688, 2099380223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099380224, 2099445759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099445760, 2099478527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099478528, 2099511295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099511296, 2099773439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2099773440, 2100297727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2100985856, 2101018623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2101182464, 2101215231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2101215232, 2101231615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2101346304, 2101870591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2101870592, 2101936127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2101936128, 2102001663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102001664, 2102132735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102132736, 2102165503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102165504, 2102198271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102198272, 2102263807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102263808, 2102394879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102394880, 2102919167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2102919168, 2103443455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2103443456, 2103574527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2103574528, 2103640063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2103967744, 2104492031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2104098816, 2104164121, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2104492032, 2105540607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2108227584, 2108293119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2108358656, 2108424191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2110783488, 2110799871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2110914560, 2110980095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2110980096, 2111045631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111111168, 2111143935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111201280, 2111209471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111242240, 2111258623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111307776, 2111438847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111438848, 2111504383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111504384, 2111569919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111569920, 2111700991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2111700992, 2111832063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2113830912, 2113847295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2113847296, 2113863679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2332622848, 2332688383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2340487168, 2340552703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2341732352, 2341797887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2342191104, 2342256639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2342453248, 2342518783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2343174144, 2343239679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2343567360, 2343632895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2344026112, 2344091647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2344222720, 2344288255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2344419328, 2344484863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2344878080, 2345140223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2345140224, 2345664511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2345664512, 2346188799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2346254336, 2346319871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2346385408, 2346450943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2346450944, 2346582015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2346713088, 2346778623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2346844160, 2346975231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2353725440, 2353790975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2358181888, 2358247423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2362245120, 2362310655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2362310656, 2362441727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2362572800, 2362638335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2363490304, 2363555839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2364342272, 2364407807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2364538880, 2364604415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2364735488, 2364801023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2364932096, 2364997631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2365128704, 2365194239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2365194240, 2365259775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2365521920, 2365587455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2415919104, 2415984639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2416377856, 2416443391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2416705536, 2416771071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2419326976, 2419392511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2423980032, 2424045567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2432630784, 2432696319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2449536128, 2449536159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2516582400, 2516647935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2524119040, 2524184575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2524512256, 2524577791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2524577792, 2524643327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2525075456, 2525076479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2525085696, 2525086719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2525091840, 2525092863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2525101056, 2525102079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2525626368, 2525757439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2531196928, 2531262463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532442112, 2532443135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532443136, 2532444159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532444160, 2532445183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532449280, 2532450303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532453376, 2532454399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532454400, 2532455423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532455424, 2532456447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532456448, 2532457471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532461568, 2532462591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532462592, 2532463615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532465664, 2532466687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532466688, 2532467711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532470784, 2532471807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532471808, 2532472831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532472832, 2532473855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532481024, 2532482047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532482048, 2532483071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532483072, 2532484095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532484096, 2532485119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532485120, 2532486143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532489216, 2532490239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532490240, 2532491263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532491264, 2532492287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532496384, 2532497407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532499456, 2532500479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532501504, 2532502527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532502528, 2532503551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532503552, 2532504575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532504576, 2532505599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2532505600, 2532506623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2533294080, 2533359615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2556985344, 2557018111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2566914048, 2566979583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2567110656, 2567176191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2569142272, 2569273343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2569273344, 2569404415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2573402112, 2573467647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2573533184, 2573598719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2574647296, 2574778367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2584614848, 2584614911, 'HK', '2020-06-16 00:52:36', 0, 0, '', '', ''),
(2634022912, 2634088447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2635202560, 2635268095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2638020608, 2638086143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2642018304, 2642083839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2643722240, 2643787775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2644246528, 2644312063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2650734592, 2650800127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2675601424, 2675601431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2682388480, 2682454015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2714381920, 2714381951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2714389752, 2714389759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2714389808, 2714389823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2714409056, 2714408971, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2714697728, 2714763263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2718826496, 2718892031, 'CN', '2020-08-07 03:42:33', 0, 0, '', '', 'TENCENT.COM\''),
(2724790272, 2724855807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2734686208, 2734751743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2737767424, 2737768447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738159616, 2738160639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738160640, 2738161663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738161664, 2738162687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738162688, 2738163711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738168832, 2738169855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738169856, 2738170879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738170880, 2738171903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738171904, 2738172927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738172928, 2738173951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738173952, 2738174975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738174976, 2738175999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738176000, 2738177023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738182144, 2738183167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738183168, 2738184191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738184192, 2738185215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738185216, 2738186239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738186240, 2738187263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738187264, 2738188287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738188288, 2738189311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738189312, 2738190335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738190336, 2738191359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738191360, 2738192383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738192384, 2738193407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738193408, 2738194431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738194432, 2738195455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738200576, 2738201599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738201600, 2738202623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738202624, 2738203647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738203648, 2738204671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738207744, 2738208767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738215936, 2738216959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2738221056, 2738222079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2742878208, 2742943743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2743992320, 2744057855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2746286080, 2746351615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2746417152, 2746482687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2748055552, 2748121087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2754871296, 2754904063, 'HK', '2020-08-08 00:45:27', 0, 0, '', '', 'YUN-IDC.COM\''),
(2792292352, 2792357887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2810904576, 2810970111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2814181376, 2814246911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2816275456, 2816276479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2829058048, 2829123583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2838268320, 2838268335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2838628024, 2838628031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2838629008, 2838629015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2838629832, 2838629839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2838981872, 2838981887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2839051616, 2839051647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2869428224, 2869952511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2871132160, 2871263231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2871263232, 2871525375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2871525376, 2872049663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2874146816, 2874408959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2874408960, 2874671103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2874671104, 2875195391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2875719680, 2876243967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2876243968, 2876506111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2876506112, 2876768255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2876768256, 2877292543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2882535424, 2883583999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2921708088, 2921708095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2936012800, 2937061375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2937061376, 2937585663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2937585664, 2937847807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2937978880, 2938109951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2938765312, 2938896383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2938896384, 2938961919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2939027456, 2939158527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2939158528, 2940207103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2940207104, 2942304255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2942697472, 2942763007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2942992384, 2943025151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2945581056, 2945712127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2945712128, 2945974271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2945974272, 2946236415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2946498560, 2947547135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2947678208, 2947743743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2948104192, 2948120575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2948136960, 2948202495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2948202496, 2948333567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(2948333568, 2948595711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3024879616, 3024945151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3024945152, 3025010687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3025010688, 3025141759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3025403904, 3025534975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3025534976, 3025600511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3025666048, 3025928191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3026073600, 3026075647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3026083840, 3026087935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3026157568, 3026190335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3026190336, 3028287487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3028385792, 3028418559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3028418560, 3028484095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3028811776, 3029336063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029602304, 3029604351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029637120, 3029639167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029653504, 3029655551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029655552, 3029663743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029696512, 3029704703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029770240, 3029778431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3029860352, 3030384639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3030384640, 3031433215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3031613440, 3031629823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3031957504, 3032219647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3032219648, 3032252415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3032323072, 3032324095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3033070592, 3033071615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3033071616, 3033137151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3033137152, 3033268223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3033530368, 3033661439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3033718784, 3033726975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3033792512, 3033923583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3034505216, 3034513407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3034513408, 3034578943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3035168768, 3035185151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3035185152, 3035193343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3035316224, 3035324415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3054551040, 3054559231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3054632960, 3054665727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3055007744, 3055009791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3055011840, 3055013887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3055550464, 3056599039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3056623616, 3056631807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3056664576, 3056730111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3056730112, 3056734207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3056758784, 3056762879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3056795648, 3056861183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3056992256, 3057025023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3057451008, 3057516543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3058696192, 3058958335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3058958336, 3059220479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3059220480, 3059482623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3059482624, 3059548159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3059744768, 3060793343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3060793344, 3061841919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3061841920, 3062890495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3062890496, 3063414783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3063742464, 3063807999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3063955456, 3063963647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3064856576, 3064987647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3066560512, 3067084799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3068952576, 3068985343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3069050880, 3069116415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3069116416, 3069124607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3069181952, 3069706239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3070099456, 3070164991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3070230528, 3074424831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3074424832, 3074949119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3075388416, 3075389439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3075585024, 3075586047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3075735552, 3075866623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3076227072, 3076228095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3076229120, 3076231167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3076231168, 3076235263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3076259840, 3076521983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3078619136, 3080716287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3080716288, 3081240575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3081240576, 3081371647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3081371648, 3081437183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3081502720, 3081764863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3082158080, 3082166271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3082289152, 3082813439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3082813440, 3087007743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3229391360, 3229391615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3233589760, 3233590015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3322924864, 3322924927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3328812608, 3328812639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3328812648, 3328812555, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389023232, 3389023743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389028864, 3389029375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389042688, 3389043711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389227008, 3389227519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389292544, 3389300735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389324288, 3389325311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389392384, 3389392895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389407744, 3389408255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389409280, 3389409791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389413120, 3389413375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389413376, 3389413887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389414400, 3389414911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389417216, 3389417471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389418496, 3389418751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389419008, 3389419519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389420032, 3389420287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389435904, 3389439999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389521920, 3389522175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389522432, 3389522943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389522944, 3389523455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389524992, 3389525247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389528064, 3389528319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389541632, 3389541887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389554688, 3389562879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389571072, 3389575167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389595648, 3389595903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389596160, 3389596671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389599744, 3389600255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389600512, 3389600767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389600768, 3389601279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389601280, 3389601535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389602048, 3389602303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389602304, 3389602815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389669376, 3389673471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389784320, 3389784575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389784576, 3389784831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389788416, 3389788671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389788672, 3389788927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389788928, 3389789183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389802496, 3389802751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389805568, 3389806079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389808640, 3389808895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389809152, 3389809663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389811200, 3389811455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389812480, 3389812735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389813760, 3389814015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389931520, 3389932031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389932800, 3389933055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389933824, 3389934079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389934080, 3389934591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389934592, 3389934847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389935104, 3389935615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389937664, 3389937919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389939968, 3389940223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389941760, 3389942271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389942784, 3389943295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389943552, 3389943807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389944320, 3389944831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389945344, 3389945855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389946880, 3389947391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389947648, 3389947903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389948160, 3389948415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389949696, 3389949951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389949952, 3389950207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389953280, 3389953535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389953792, 3389954047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389955328, 3389955583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389955584, 3389956095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389958400, 3389958655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389958656, 3389959167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389960192, 3389960447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389962240, 3389962751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389968384, 3389968895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389969664, 3389969919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389971200, 3389971455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389971456, 3389971711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389971968, 3389972479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389972736, 3389972991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389972992, 3389973503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389974272, 3389974527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389975296, 3389975551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389975552, 3389976063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389976064, 3389976319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389976320, 3389976575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389978112, 3389978367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3389979392, 3389979647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390325248, 3390325503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390328576, 3390328831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390330624, 3390330879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390330880, 3390331391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390331392, 3390331647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390332416, 3390332927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390337536, 3390337791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390338304, 3390338559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390339072, 3390339327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390340352, 3390340607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390340864, 3390341119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390407424, 3390407679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390407680, 3390407935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390409984, 3390410239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390410240, 3390410495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390411520, 3390411775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390411776, 3390412031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390412288, 3390412799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390412800, 3390413311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390413312, 3390413567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390413824, 3390414079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390502912, 3390503935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390503936, 3390504959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3390801920, 3390802431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391488000, 3391488511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391488512, 3391489023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391490048, 3391492095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391500288, 3391504383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391504384, 3391512575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391512576, 3391520767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391520768, 3391521279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391521280, 3391521791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391521792, 3391522303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391522304, 3391522559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391522560, 3391522815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391522816, 3391523327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391523328, 3391523583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391523840, 3391524351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391524352, 3391524863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391525376, 3391525887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391526144, 3391526399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391526400, 3391526911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391526912, 3391527423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391527424, 3391527935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391527936, 3391528191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391528448, 3391528959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391528960, 3391529471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391529984, 3391531007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391531008, 3391531519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391531520, 3391531775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391531776, 3391532031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391533056, 3391533567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391535104, 3391537151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391537152, 3391553535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391620096, 3391620607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391620864, 3391621119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391622912, 3391623167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391653632, 3391653887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391653888, 3391654143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391654912, 3391655167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391655680, 3391655935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391655936, 3391656447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391657472, 3391657727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391658752, 3391659007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391659008, 3391659263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391659520, 3391660031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391660544, 3391660799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391686656, 3391687167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391687424, 3391687679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391687680, 3391688191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391717376, 3391717631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391717888, 3391718399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391723520, 3391725567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391733760, 3391734015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391746048, 3391750143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391835136, 3391836159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391852544, 3391856639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391885312, 3391889407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391898368, 3391898623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391900160, 3391900415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391914240, 3391914495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391915008, 3391915519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391918592, 3391919103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391946752, 3391947263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391947264, 3391947519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391950592, 3391950847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3391950848, 3391954943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392016384, 3392016895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392016896, 3392017151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392017408, 3392017919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392020480, 3392028671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392045056, 3392045311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392069632, 3392073727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392098816, 3392099327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392110080, 3392110335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392110592, 3392110847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392111104, 3392111615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392794624, 3392798719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392798720, 3392798975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392864256, 3392864511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392918528, 3392919551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392923648, 3392924159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392924672, 3392924927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392942080, 3392944127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392954368, 3392956415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392958464, 3392962559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392963584, 3392964607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392964608, 3392966655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3392966656, 3392970751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393089536, 3393090559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393124352, 3393125375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393125376, 3393125631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393126144, 3393126399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393147136, 3393147391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393147392, 3393147903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393147904, 3393148927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393148928, 3393150975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393167360, 3393175551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393189888, 3393190911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393257472, 3393259519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393259520, 3393260031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393388544, 3393389567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393520640, 3393521663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393523712, 3393527807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393585152, 3393593343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393609728, 3393613823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393634304, 3393638399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393726464, 3393728511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393736704, 3393740799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393814528, 3393815551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393849344, 3393851391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393867776, 3393871871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393912320, 3393912831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393966080, 3393970175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3393977344, 3393978367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394042880, 3394043903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394064384, 3394066431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394067456, 3394068479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394111488, 3394113535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394232320, 3394234367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394238464, 3394239487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394289664, 3394291711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394291712, 3394293759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394306048, 3394307071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394501632, 3394502655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394502656, 3394503679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394503680, 3394504703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394504704, 3394506751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394506752, 3394507263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394508800, 3394510847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394621440, 3394625535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394697472, 3394697727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394698240, 3394699263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394719744, 3394723839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394832384, 3394834431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394889728, 3394891775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394895872, 3394896895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394924544, 3394928639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394946048, 3394946303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394953216, 3394957311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394961408, 3394962431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394985984, 3394990079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3394994176, 3394995199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395006464, 3395010559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395018752, 3395026943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395026944, 3395027967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395028992, 3395031039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395039232, 3395043327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395091456, 3395092479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395092480, 3395093503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395156992, 3395158015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395181568, 3395182591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395223552, 3395224575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395224576, 3395225599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395225600, 3395227647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395227648, 3395231743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395284992, 3395287039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395288064, 3395289087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395289088, 3395305471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395305472, 3395307519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395307520, 3395309567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395309568, 3395313663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395313664, 3395315711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395315712, 3395317759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395317760, 3395321855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395321856, 3395323903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395323904, 3395325951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395325952, 3395330047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395330048, 3395332095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395332096, 3395334143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395334144, 3395338239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395338240, 3395340287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395340288, 3395342335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395342336, 3395346431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395346432, 3395348479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395348480, 3395350527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395350528, 3395354623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395354624, 3395356671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395356672, 3395358719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395358720, 3395362815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395362816, 3395371007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395371008, 3395379199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395379200, 3395383295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395383296, 3395387391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395387392, 3395403775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395403776, 3395411967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395411968, 3395414015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395414016, 3395416063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395416064, 3395420159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395420160, 3395422207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395422208, 3395424255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395424256, 3395428351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395428352, 3395430399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395430400, 3395432447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395432448, 3395436543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395436544, 3395444735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395444736, 3395446783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395446784, 3395448831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395448832, 3395452927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395452928, 3395461119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395461120, 3395463167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395463168, 3395465215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395465216, 3395469311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395469312, 3395471359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395471360, 3395473407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395473408, 3395477503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395477504, 3395479551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395479552, 3395481599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395481600, 3395485695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395485696, 3395502079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395502080, 3395510271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395510272, 3395512319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395512320, 3395514367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395514368, 3395518463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395518464, 3395526655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395526656, 3395528703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395528704, 3395530751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395530752, 3395534847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395534848, 3395536895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395536896, 3395538943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395538944, 3395543039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395543040, 3395545087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395545088, 3395547135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395547136, 3395551231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395551232, 3395553279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395553280, 3395555327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395555328, 3395559423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395559424, 3395567615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395567616, 3395569663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395569664, 3395571711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395571712, 3395575807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395575808, 3395577855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395577856, 3395579903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395579904, 3395583999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395584000, 3395586047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395586048, 3395588095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395588096, 3395592191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395592192, 3395594239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395594240, 3395596287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395596288, 3395600383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395600384, 3395602431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(3395602432, 3395604479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395604480, 3395608575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395608576, 3395616767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395616768, 3395633151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395633152, 3395641343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395641344, 3395649535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395649536, 3395665919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395665920, 3395674111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395674112, 3395676159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395676160, 3395678207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395678208, 3395682303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395682304, 3395690495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395690496, 3395698687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395698688, 3395715071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395715072, 3395717119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395717120, 3395719167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395719168, 3395723263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395723264, 3395731455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395731456, 3395733503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395733504, 3395735551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395735552, 3395739647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395739648, 3395741695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395741696, 3395743743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395743744, 3395747839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395747840, 3395749887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395749888, 3395751935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395751936, 3395756031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395756032, 3395764223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395764224, 3395772415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395772416, 3395774463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395774464, 3395776511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395776512, 3395780607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395780608, 3395796991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395796992, 3395805183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395805184, 3395807231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395807232, 3395809279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395809280, 3395813375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395813376, 3395944447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3395944448, 3396009983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396009984, 3396042751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396042752, 3396075519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396075520, 3396141055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396141056, 3396206591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396206592, 3396222975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396222976, 3396239359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396239360, 3396255743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396255744, 3396272127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396272128, 3396304895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396304896, 3396313087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396313088, 3396321279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396321280, 3396337663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396337664, 3396403199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396403200, 3396407295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396407296, 3396411391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396411392, 3396419583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396419584, 3396435967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396435968, 3396452351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396452352, 3396460543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396460544, 3396464639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396464640, 3396468735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396468736, 3396476927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396476928, 3396485119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396485120, 3396501503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396501504, 3396534271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396534272, 3396542463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396542464, 3396550655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396550656, 3396567039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396567040, 3396599807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396599808, 3396607999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396608000, 3396612095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396612096, 3396616191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396616192, 3396624383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396624384, 3396632575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396632576, 3396665343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396665344, 3396681727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396681728, 3396698111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396698112, 3396730879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396730880, 3396739071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396739072, 3396747263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396747264, 3396763647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396763648, 3396796415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396796416, 3396804607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396804608, 3396812799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396812800, 3396816895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396816896, 3396820991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396820992, 3396829183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396829184, 3396861951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396861952, 3396878335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396878336, 3396894719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396894720, 3396927487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396927488, 3396993023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3396993024, 3396995071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397001216, 3397003263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397009408, 3397017599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397021696, 3397023743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397023744, 3397025791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397025792, 3397026047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397026816, 3397027071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397083136, 3397087231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397128192, 3397130239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397130240, 3397131263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397218304, 3397222399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397234688, 3397238783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397320704, 3397321215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397321216, 3397321471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397321472, 3397321727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397321728, 3397321983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397321984, 3397322239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397322240, 3397322751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397323776, 3397324799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397324800, 3397328895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397330944, 3397332991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397332992, 3397337087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397349376, 3397353471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397353472, 3397357567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397357568, 3397361663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397361664, 3397363711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397369856, 3397370367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397370368, 3397370879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397370880, 3397371903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397371904, 3397373951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397373952, 3397374207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397374208, 3397374463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397374976, 3397375999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397376000, 3397378047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397378048, 3397386239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397517312, 3397525503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397574656, 3397582847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397586944, 3397588991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397595136, 3397599231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397636096, 3397640191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397722112, 3397726207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397794304, 3397794559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397812224, 3397816319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397922816, 3397926911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397963776, 3397967871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3397967872, 3397971967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398035200, 3398035455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398279168, 3398287359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398307840, 3398311935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398370304, 3398371327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398373376, 3398377471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398377472, 3398381567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398383616, 3398385663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398606848, 3398610943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398614016, 3398615039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398616064, 3398617087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398617088, 3398619135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398668288, 3398672383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398705152, 3398709247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398713344, 3398721535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398721536, 3398729727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398770688, 3398778879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398803456, 3398811647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398819840, 3398828031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398832128, 3398836223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398836224, 3398840319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398842368, 3398843391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398877184, 3398881279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398885376, 3398893567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398893568, 3398894591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3398926336, 3398934527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399004160, 3399008255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399024640, 3399025663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399036928, 3399041023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399335936, 3399344127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399393280, 3399401471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399528448, 3399532543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399631616, 3399631871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399633664, 3399633919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399745536, 3399749631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399770112, 3399778303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399835648, 3399839743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399856128, 3399860223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399864320, 3399868415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399872256, 3399872511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399872512, 3399873023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399873280, 3399873535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399873792, 3399874047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399875328, 3399875583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399875584, 3399876607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3399933952, 3399942143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400048640, 3400052735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400052736, 3400056831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400171520, 3400179711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400194048, 3400196095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400196096, 3400204287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400259584, 3400261631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400264448, 3400264703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400269824, 3400270847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400335360, 3400336383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400337408, 3400339455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400392704, 3400400895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400417280, 3400421375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400589312, 3400597503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400790016, 3400794111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400826880, 3400835071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400847360, 3400849407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400888320, 3400892415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400892416, 3400900377, 'HK', '2020-06-10 15:15:18', 0, 0, '', '', 'HKCIX.COM\''),
(3400933376, 3400937471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3400974336, 3400982527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401383936, 3401400319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401404416, 3401408511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401431040, 3401433087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401515008, 3401515263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401532416, 3401533439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401533440, 3401535487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401535488, 3401539583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3401580544, 3402104831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3402104832, 3402366975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3402366976, 3402629119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405775872, 3405776895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405777408, 3405777919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405779456, 3405779711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405780992, 3405781247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405785600, 3405786111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405786368, 3405786623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405786624, 3405787135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405795584, 3405795839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405795840, 3405796351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405797888, 3405798399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405799424, 3405799935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405801472, 3405803519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405804032, 3405804543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405806080, 3405806335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405807616, 3405807871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405808128, 3405808639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405808640, 3405809663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405809920, 3405810175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405811200, 3405811455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405811712, 3405811967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405812224, 3405812479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405812736, 3405812991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405813248, 3405813759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405813760, 3405814015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405820160, 3405820415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405832192, 3405832447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405841408, 3405842431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405844992, 3405845247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405847040, 3405847551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405857024, 3405857279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405857280, 3405857791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405858304, 3405858815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405859840, 3405860351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405863424, 3405863679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405865216, 3405865471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405865472, 3405865983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405865984, 3405867007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405868032, 3405868287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405905152, 3405905407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405905408, 3405905663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405922304, 3405924351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405924608, 3405924863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405934592, 3405936639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405938176, 3405938687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405941760, 3405942015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405944320, 3405944575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405944832, 3405945855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405945856, 3405946367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405946880, 3405948927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405952000, 3405952511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405956096, 3405956607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405959424, 3405959679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405960704, 3405961215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405963776, 3405964287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405964544, 3405964799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405966336, 3405966847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405988864, 3405989119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405989888, 3405990399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405990656, 3405990911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405991936, 3405993983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405996032, 3405997055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3405998336, 3405998591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406000128, 3406002175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406002176, 3406002431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406002944, 3406003199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406006016, 3406006271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406007040, 3406007295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406008064, 3406008319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406070784, 3406071295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406071296, 3406071551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406075648, 3406075903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406075904, 3406076927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406081536, 3406082047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406083072, 3406083327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406084608, 3406084863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406089472, 3406089727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406090240, 3406091263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406095104, 3406095359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406095872, 3406096383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406103552, 3406104063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406104320, 3406104575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406104576, 3406105087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406105344, 3406105599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406107904, 3406108159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406108160, 3406108415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406113792, 3406114047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406114304, 3406114815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406115840, 3406116863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406116864, 3406117375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406117888, 3406118399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406131712, 3406132223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406132736, 3406132991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406133248, 3406133503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406146560, 3406146815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406148608, 3406149119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406149120, 3406149375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406149888, 3406150143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406150144, 3406150399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406150656, 3406151167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406151168, 3406151423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406152448, 3406152703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406157312, 3406157823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406158336, 3406158847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406201600, 3406201855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406202880, 3406203135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406203392, 3406203903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406204416, 3406204671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406206464, 3406206975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406208256, 3406208511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406208768, 3406209023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406225408, 3406229503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406231552, 3406232063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406266624, 3406266879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406268928, 3406269439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406271232, 3406271487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406272000, 3406272511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406274048, 3406274303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406282752, 3406283263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406284800, 3406285055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406299136, 3406299391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406301184, 3406301439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406305024, 3406305279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406305280, 3406307327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406317056, 3406317311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406320128, 3406320383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406321152, 3406321663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406322432, 3406322687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406327296, 3406327807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406328576, 3406328831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406341632, 3406342143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406342400, 3406342655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406343424, 3406343679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406346240, 3406346495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406346752, 3406347263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406347776, 3406348287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406348288, 3406348543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406349568, 3406349823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406349824, 3406350335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406351104, 3406351359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406352640, 3406352895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406352896, 3406353407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406353408, 3406354431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406354688, 3406354943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406355456, 3406355711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406372864, 3406373119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406373888, 3406374399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406379264, 3406379519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406380800, 3406381055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406381312, 3406381567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406382592, 3406383103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406383104, 3406383359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406383872, 3406384127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406384128, 3406384639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406389248, 3406390271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406390272, 3406390783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406392320, 3406392575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406405120, 3406405375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406438912, 3406439167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406444544, 3406444799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406449152, 3406449663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406451712, 3406452735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406452736, 3406452991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406454528, 3406454783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406462208, 3406462463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406513664, 3406513919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406515200, 3406516223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406516736, 3406516991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406517248, 3406518271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406521344, 3406522367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406523648, 3406523903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406525696, 3406525951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406526976, 3406527231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406528000, 3406528255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406530560, 3406531583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406531840, 3406532095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406532096, 3406532607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406541824, 3406542847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406548992, 3406550015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406565376, 3406565631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406566144, 3406566399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406567424, 3406567679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406575872, 3406576127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406577920, 3406578175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406578176, 3406578431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406579200, 3406579711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406583552, 3406583807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406583808, 3406585855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406586880, 3406587391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406587648, 3406587903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406590464, 3406590719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406591488, 3406591743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406594560, 3406594815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406596352, 3406596607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406611456, 3406612479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406612480, 3406614527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406615296, 3406615551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406617344, 3406617599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406619136, 3406619391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406622720, 3406623743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406631424, 3406631679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406632960, 3406633215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406638080, 3406638591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406647296, 3406649343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406649344, 3406649855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406650368, 3406651391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406671104, 3406671359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406684160, 3406684671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406684928, 3406685183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406686464, 3406686719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406698496, 3406699519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406700800, 3406701055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406706688, 3406706943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406707968, 3406708223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406708224, 3406708479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406718976, 3406719231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406721536, 3406722047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406722560, 3406722815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406733824, 3406734079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406739456, 3406741503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406741504, 3406741759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406742016, 3406742527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406747136, 3406747391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406751488, 3406751743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406755328, 3406755583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406757888, 3406761983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406763008, 3406763519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406763520, 3406763775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406780160, 3406780415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406780416, 3406780927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406784768, 3406785023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406786560, 3406788607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406791168, 3406791679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406796032, 3406796287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406796544, 3406796799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406797824, 3406798847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406802432, 3406802687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406816000, 3406816255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406817280, 3406819327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406819328, 3406819839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406820864, 3406821119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406825984, 3406826239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406826496, 3406827007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406827520, 3406829567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406830336, 3406830591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406833152, 3406833407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406835968, 3406836223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406836224, 3406836735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406838272, 3406838527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406857472, 3406857727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406864640, 3406864895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406864896, 3406865151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406871040, 3406871551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406881792, 3406882047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406884352, 3406884607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406884864, 3406885119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406886144, 3406886399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406889472, 3406889727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406893568, 3406893823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406896128, 3406896383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406898944, 3406899199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406903296, 3406903551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406907904, 3406908415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406911488, 3406911999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406923776, 3406924031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406930944, 3406931199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406936832, 3406937087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406937600, 3406938111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406948096, 3406948351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406948608, 3406948863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406952448, 3406952703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406954240, 3406954495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406955008, 3406955519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406955520, 3406955775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406956288, 3406956543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406962432, 3406962687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406963968, 3406964223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406966784, 3406967295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406967808, 3406968063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406972928, 3406973951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406974976, 3406975487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406976768, 3406977023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406980096, 3406980607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406981376, 3406981631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406981888, 3406982143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406982656, 3406982911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406987520, 3406987775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406988032, 3406988287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406988288, 3406988799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406991360, 3406991615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3406993664, 3406993919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407005440, 3407005695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407007744, 3407007999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407008512, 3407008767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407009536, 3407009791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407024640, 3407024895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407026176, 3407026431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407027712, 3407027967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407028224, 3407030271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407030528, 3407030783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407031296, 3407031807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407031808, 3407032063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407034880, 3407035135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407035392, 3407035903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407036416, 3407036671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407037440, 3407037695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407038464, 3407038719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407045888, 3407046143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407048448, 3407048703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407053568, 3407053823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407054080, 3407054335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407056896, 3407057151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407058176, 3407058431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407059968, 3407060223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407065088, 3407065343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407065600, 3407066111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407073280, 3407073535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407078400, 3407079423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407079680, 3407079935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407081984, 3407082239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407083520, 3407084031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407085312, 3407085567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407089920, 3407090175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407095808, 3407096319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407097856, 3407098111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407101184, 3407101439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407102208, 3407102463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407107072, 3407107583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407108352, 3407108607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407112704, 3407113215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407115008, 3407115263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407115520, 3407115775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407115776, 3407116287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407116800, 3407117055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407117824, 3407118335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407120128, 3407120383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407120384, 3407122431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407123968, 3407124223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407144448, 3407144703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407144960, 3407145215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407145984, 3407146239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407151104, 3407151615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407151616, 3407151871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407153152, 3407153407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407153664, 3407153919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407155712, 3407155967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407159552, 3407159807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407159808, 3407160063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407161600, 3407161855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407162368, 3407162623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407168512, 3407168767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407172096, 3407172351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407175680, 3407176703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407182848, 3407183103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407185920, 3407186431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407188224, 3407188479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407203840, 3407204095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407222784, 3407223039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407223808, 3407224319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407224576, 3407224831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407234048, 3407234303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407236096, 3407236351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407236608, 3407236863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407238144, 3407238399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407238912, 3407239167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407240192, 3407241215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407241984, 3407242239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407243776, 3407244031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407247872, 3407248383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407250176, 3407250431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407258368, 3407258623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407259136, 3407259391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407260160, 3407260415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407261696, 3407263743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407266304, 3407266559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407278592, 3407279103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407279360, 3407279615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407279616, 3407279871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407281152, 3407281663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407282176, 3407282431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407294208, 3407294463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407297792, 3407298047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407298048, 3407298559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407300864, 3407301119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407303936, 3407304191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407305728, 3407306751, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407307264, 3407307519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407309568, 3407309823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407310848, 3407311103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407315456, 3407315711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407318016, 3407318527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407326208, 3407326463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407328768, 3407329023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407329792, 3407330303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407331328, 3407331583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407332608, 3407332863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407332864, 3407333119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407334400, 3407335423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407339520, 3407339775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407340032, 3407340543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407340544, 3407341567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407345920, 3407346175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407346432, 3407346687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407351040, 3407351295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407352320, 3407352575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407354624, 3407354879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407358720, 3407358975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407362048, 3407362303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407362560, 3407362815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407364864, 3407365119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407366656, 3407366911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407367936, 3407368191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407368192, 3407368703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407369216, 3407369727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407369728, 3407369983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407370752, 3407371007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407376128, 3407376383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407376384, 3407376639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407377408, 3407377663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407378944, 3407379455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407384832, 3407385087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407386624, 3407387135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407387904, 3407388159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407388928, 3407389183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407390464, 3407390719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407395328, 3407395839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407398656, 3407398911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407399424, 3407399679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407401984, 3407402495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407403264, 3407403519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407403776, 3407404031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407410176, 3407410431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407418112, 3407418367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407418368, 3407418879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407425024, 3407425279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407425536, 3407427583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407429632, 3407430143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407436544, 3407436799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407438592, 3407438847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407438848, 3407439103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407440384, 3407440639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407446784, 3407447039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407447808, 3407448063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407448576, 3407448831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407450880, 3407451135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407452416, 3407452671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407452672, 3407453183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407455232, 3407455487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407455744, 3407455999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407457792, 3407458303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407459328, 3407459583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407459840, 3407460095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407462144, 3407462399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407464192, 3407464447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407464448, 3407464703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407464960, 3407465471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407466496, 3407470591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407471872, 3407472127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407473408, 3407473663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407473664, 3407473919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407475200, 3407475455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407481856, 3407482111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407487488, 3407487743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407491328, 3407491583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407491584, 3407491839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407492864, 3407493119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407493120, 3407493631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407494144, 3407494399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407495424, 3407495679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407496192, 3407496447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407498240, 3407498495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407499264, 3407499519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407500288, 3407500543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407503616, 3407503871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407504896, 3407505407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407508224, 3407508479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407508480, 3407508735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407511808, 3407512063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407515392, 3407515647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407515648, 3407515903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407516672, 3407517183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407518208, 3407518463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407519232, 3407519743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407522304, 3407522559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407523072, 3407523327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407523840, 3407524095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407526144, 3407526399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407530496, 3407531007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407532544, 3407532799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407533568, 3407533823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407535616, 3407535871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(3407536128, 3407536383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407537152, 3407537407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407538176, 3407538431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407544320, 3407544575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407546880, 3407547135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407548160, 3407548415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407548416, 3407548671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407549440, 3407549695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407549952, 3407550463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407554560, 3407554815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407555840, 3407556095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407557888, 3407558143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407560960, 3407561215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407561216, 3407561471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407565056, 3407565311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407566848, 3407567103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407570432, 3407570687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407572224, 3407572479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407574272, 3407574527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407575296, 3407575551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407575552, 3407576063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407576320, 3407576575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407595520, 3407595775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407596032, 3407596287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407603968, 3407604223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407606016, 3407606271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407608320, 3407608575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407612416, 3407612671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407612928, 3407613183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407618304, 3407618559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407618560, 3407619071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407620864, 3407621119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407621120, 3407621375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407623680, 3407623935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407624192, 3407624447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407628544, 3407628799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407628800, 3407629055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407629312, 3407629567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407631872, 3407632127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407632384, 3407632639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407638528, 3407638783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407643392, 3407643647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407644672, 3407644927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407645696, 3407645951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407646976, 3407647231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407652096, 3407652351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407653120, 3407653375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407653376, 3407653631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407655424, 3407655935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407657216, 3407657471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407657728, 3407657983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407660032, 3407660287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407667712, 3407668223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407671040, 3407671295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407675904, 3407676159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407677440, 3407677951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407678720, 3407678975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407678976, 3407679231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407682560, 3407682815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407687168, 3407687423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407689984, 3407690239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407691008, 3407691263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407691520, 3407691775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407693056, 3407693311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407694080, 3407694335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407696128, 3407696383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407698432, 3407698687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407699712, 3407699967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407700992, 3407701247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407701760, 3407702015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407704064, 3407704319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407706112, 3407707135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407721984, 3407722495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407723264, 3407723519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407723776, 3407724031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407724032, 3407724287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407727872, 3407728127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407729152, 3407729407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407730944, 3407731199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407733504, 3407733759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407734528, 3407734783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407735040, 3407735295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407735296, 3407735551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407738880, 3407739135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407740416, 3407740927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407745024, 3407745535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407747328, 3407747583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407747840, 3407748095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407748352, 3407748607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407757824, 3407758079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407761664, 3407761919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407763200, 3407763455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407769344, 3407769599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407771904, 3407772159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407772416, 3407772671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407779840, 3407780095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407780864, 3407781119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407782400, 3407782655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407785216, 3407785471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407785728, 3407785983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407788800, 3407789055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407790592, 3407790847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407796480, 3407796735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407797248, 3407797503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407797760, 3407798015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407800320, 3407800831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407801088, 3407801343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407802368, 3407802879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407803904, 3407804159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407804928, 3407805439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407817984, 3407818239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407818240, 3407818495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407819008, 3407819263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407819520, 3407819775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407820288, 3407820799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407824128, 3407824383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407824896, 3407825151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407826944, 3407827199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407828224, 3407828479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407831296, 3407831551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407833344, 3407833599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407833600, 3407833855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407834112, 3407834623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407838208, 3407838463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407847936, 3407848191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407851008, 3407851263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407851776, 3407852031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407852800, 3407853055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407854336, 3407854591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407854848, 3407855103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407858688, 3407858943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407862784, 3407863039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407863296, 3407863807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407864064, 3407864319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407865088, 3407865343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407869952, 3407870463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407871232, 3407871487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407877120, 3407877375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407884288, 3407884799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407886336, 3407886591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407887360, 3407887615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407887872, 3407888127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407889408, 3407889919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407891456, 3407891711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407892736, 3407892991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407893504, 3407894015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407896320, 3407896575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407898112, 3407898367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407898880, 3407899135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407905280, 3407905535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407906048, 3407906303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407907840, 3407908095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407910912, 3407911167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407919616, 3407920127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407921152, 3407921407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407922176, 3407922431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407923968, 3407924223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407924224, 3407924735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407926272, 3407926527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407938560, 3407938815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407939328, 3407939583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407939584, 3407941631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407942912, 3407943167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407944192, 3407944447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407945728, 3407945983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407953664, 3407953919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407953920, 3407954175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407954688, 3407954943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407954944, 3407955199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407956224, 3407956479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407957760, 3407958015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407963136, 3407963391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407968768, 3407969023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407970560, 3407970815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407971072, 3407971327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407974656, 3407974911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407977472, 3407977727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407977984, 3407978495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407982080, 3407982335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407984896, 3407985151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407988736, 3407988991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407989248, 3407989759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407989760, 3407990015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407990272, 3407990783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407992320, 3407992831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407994880, 3407995391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407995392, 3407995647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407997184, 3407997439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3407999744, 3407999999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408001536, 3408001791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408004096, 3408004351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408008448, 3408008703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408009984, 3408010239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408013056, 3408013311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408015360, 3408015871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408016896, 3408017151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408017408, 3408017919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408020224, 3408020479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408020736, 3408020991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408022528, 3408022783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408026624, 3408026879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408030208, 3408030463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408032000, 3408032255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408040704, 3408040959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408041472, 3408041727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408041984, 3408042495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408044288, 3408044543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408044544, 3408044799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408050944, 3408051199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408052224, 3408054271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408055296, 3408056319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408062464, 3408062719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408064512, 3408064767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408065024, 3408065279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408065792, 3408066047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3408067328, 3408067583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409379840, 3409380351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409380352, 3409380607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409381888, 3409382143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409382656, 3409382911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409384960, 3409385215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409387008, 3409387263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409403136, 3409403391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409405184, 3409405439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409407232, 3409407487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409407488, 3409407743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409409024, 3409409535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409409792, 3409410047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409412096, 3409412607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409416704, 3409417215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409428480, 3409428735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409429504, 3409429759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409435136, 3409435647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409435904, 3409436159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409436672, 3409436927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409445120, 3409445375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409445888, 3409446143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409447936, 3409448191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409451008, 3409451263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409454592, 3409454847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409455104, 3409455359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409456640, 3409456895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409457152, 3409459199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409462272, 3409462783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409465856, 3409466367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409466368, 3409466879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409469184, 3409469439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409473024, 3409473279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409475840, 3409476095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409486080, 3409486335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409488128, 3409488383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409488896, 3409489407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409489664, 3409489919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409491712, 3409491967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409492224, 3409492479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409492736, 3409492991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409494016, 3409494271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409495552, 3409495807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409496320, 3409496575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409498112, 3409498623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409498624, 3409498879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409499648, 3409499903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409500160, 3409500415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409502976, 3409503231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409503232, 3409503487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409504256, 3409504511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409506304, 3409506559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409509376, 3409509631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409509888, 3409510143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409511680, 3409511935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409511936, 3409512191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409513472, 3409513983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409517568, 3409517823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409520384, 3409520639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409522176, 3409522431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409525248, 3409525503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409526016, 3409526271, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409527296, 3409527551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409528064, 3409528319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409528320, 3409528831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409529088, 3409529343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409533440, 3409533695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409536256, 3409536511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409538304, 3409538559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409541888, 3409542143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409550592, 3409550847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409561600, 3409561855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409562112, 3409562367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409563136, 3409563391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409567232, 3409567487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409567744, 3409571839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409573376, 3409573887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409574144, 3409574399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409575168, 3409575423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409575424, 3409575935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409838592, 3409838847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409871616, 3409871871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409873664, 3409873919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409879296, 3409879551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409888512, 3409888767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409896448, 3409897471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409897984, 3409898239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3409901056, 3409901311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3410796544, 3410797567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3410798592, 3410799615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3410867200, 3410868223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3410898944, 3410903039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3410952192, 3410956287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3410960384, 3410964479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411018752, 3411019263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411025920, 3411030015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411032320, 3411032575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411051520, 3411052543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411052544, 3411054591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411054592, 3411058687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411083264, 3411085311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411087360, 3411091455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411148800, 3411149311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411152896, 3411154943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411214336, 3411215359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411228672, 3411230719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411271680, 3411275775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411410944, 3411419135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411419136, 3411427327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411427328, 3411431423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411431424, 3411435519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411435520, 3411443711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411475968, 3411476479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411550208, 3411558399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411582976, 3411587071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411591168, 3411599359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411607552, 3411608575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411609600, 3411611647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411642368, 3411643391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411673088, 3411674111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411675136, 3411676159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411705856, 3411714047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411714048, 3411722239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411722240, 3411730431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411746816, 3411755007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411763200, 3411767295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411769344, 3411771391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411804160, 3411805183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411845120, 3411853311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411869696, 3411870719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411870720, 3411871743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411871744, 3411871999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411872000, 3411872255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411872256, 3411872767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411872768, 3411873791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411873792, 3411877887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411877888, 3411886079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411886080, 3411902463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411902464, 3411904511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411904512, 3411905535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411905536, 3411905791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411905792, 3411906047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411906048, 3411906559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411906560, 3411910655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411910656, 3411918847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411918848, 3411935231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411935232, 3411936255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411936256, 3411937279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411937280, 3411939327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3411939328, 3411943423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412000768, 3412002815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412025344, 3412029439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412029440, 3412033535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412033536, 3412049919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412058112, 3412066303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412264960, 3412267007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412267008, 3412271103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412283392, 3412287487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412336640, 3412340735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412340736, 3412342783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412344576, 3412344831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412348928, 3412353023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412353024, 3412361215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412377600, 3412381695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412598784, 3412602879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412680704, 3412688895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412688896, 3412697087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3412787200, 3412819967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413024768, 3413032959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413037056, 3413041151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413043200, 3413043711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413043712, 3413043967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413308416, 3413309439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413557248, 3413565439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413569792, 3413570047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413571584, 3413572607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413579776, 3413581823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413581824, 3413582847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413594112, 3413595135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413595392, 3413595647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413602560, 3413602815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413602816, 3413603327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413603328, 3413604351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413604352, 3413606399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3413606400, 3413639167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414171648, 3414179839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414188032, 3414196223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414220800, 3414222847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414231040, 3414233087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414302720, 3414310911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414433792, 3414441983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414618112, 3414620159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414646784, 3414650879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414650880, 3414654975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3414663168, 3414667263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415138304, 3415146495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415236608, 3415244799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415277568, 3415285759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415474176, 3415490559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415490560, 3415494655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415494656, 3415495679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415496192, 3415496703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415563264, 3415564287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415752704, 3415760895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415769088, 3415777279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3415801856, 3415802879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416047616, 3416063999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416133632, 3416135679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416287232, 3416289279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416293632, 3416293887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416309760, 3416317951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416326144, 3416327167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416372224, 3416372479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416375296, 3416383487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416694784, 3416702975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416784896, 3416793087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416930816, 3416931327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3416981504, 3416982527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417038848, 3417042943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417179136, 3417179391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417179904, 3417180159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417202688, 3417210879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417276416, 3417284607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417292800, 3417309183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417309184, 3417325567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417325568, 3417333759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417352192, 3417354239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3417853952, 3417858047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418071040, 3418079231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418161152, 3418161663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418162688, 3418163199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418189824, 3418190847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418210304, 3418218495, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418251264, 3418255359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418290432, 3418290687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418292224, 3418292735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418296320, 3418300415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418308608, 3418324991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418329088, 3418331135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418331136, 3418333183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418357760, 3418365951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418480640, 3418488831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418519552, 3418521599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418570752, 3418578943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418583040, 3418585087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418587136, 3418619903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418619904, 3418621951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3418621952, 3418623999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419073536, 3419074559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419226112, 3419234303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419242496, 3419275263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419357184, 3419373567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419373568, 3419406335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419406336, 3419410431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419410432, 3419411455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419414528, 3419422719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419529216, 3419537407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419668480, 3419672575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419688960, 3419693055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3419924480, 3419926527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3420372992, 3420377087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3420389376, 3420393471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3420393472, 3420395519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523346432, 3523350527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523350528, 3523354623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523543040, 3523551231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523557376, 3523559423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523575808, 3523579903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523579904, 3523583999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3523608576, 3523624959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524001792, 3524018175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524018176, 3524034559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524034560, 3524050943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524050944, 3524067327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524067328, 3524083711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524083712, 3524100095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524100096, 3524132863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524149248, 3524157439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524161536, 3524165631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524165632, 3524173823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524173824, 3524182015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524182016, 3524190207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524190208, 3524198399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524198400, 3524206591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524206592, 3524214783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524214784, 3524222975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524222976, 3524231167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524231168, 3524247551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524296704, 3524313087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524591616, 3524624383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524624384, 3524657151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524657152, 3524722687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524730880, 3524739071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524853760, 3524919295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3524919296, 3525050367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3525050368, 3525312511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3525312512, 3525574655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3525574656, 3525836799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3525836800, 3526361087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526557696, 3526623231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526623232, 3526639615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526639616, 3526655999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526656000, 3526688767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526688768, 3526721535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526721536, 3526754303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3526934528, 3526942719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3527933952, 3527966719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3527966720, 3527974911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3527974912, 3527983103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3527983104, 3527999487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3527999488, 3528007679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528007680, 3528015871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528015872, 3528032255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528032256, 3528065023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528065024, 3528073215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528073216, 3528081407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528081408, 3528089599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528089600, 3528097791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528097792, 3528105983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528105984, 3528114175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528114176, 3528130559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528130560, 3528196095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528196096, 3528204287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528204288, 3528212479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528212480, 3528228863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528228864, 3528261631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528261632, 3528327167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528327168, 3528335359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528335360, 3528343551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528343552, 3528359935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528359936, 3528368127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528368128, 3528376319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528376320, 3528392703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528409088, 3528425471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528450048, 3528458239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528589312, 3528720383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528949760, 3528953855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528953856, 3528957951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3528957952, 3528966143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3535388672, 3535405055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3535822848, 3535831039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3544186880, 3544449023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3544449024, 3544580095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3544580096, 3544711167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545235456, 3545300991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545300992, 3545366527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545366528, 3545432063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545432064, 3545497599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545497600, 3545628671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545628672, 3545759743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545759744, 3545825279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545825280, 3545890815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3545890816, 3546021887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546021888, 3546152959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546152960, 3546284031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546284032, 3546415103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546415104, 3546480639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546480640, 3546497023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546497024, 3546505215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546505216, 3546513407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546513408, 3546546175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546546176, 3546611711, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546611712, 3546628095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546628096, 3546644479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546644480, 3546677247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546677248, 3546742783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546742784, 3546775551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3546775552, 3546808319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3548905472, 3549167615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549167616, 3549298687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549298688, 3549331455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549331456, 3549364223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549364224, 3549429759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549429760, 3549560831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549560832, 3549626367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549626368, 3549691903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549691904, 3549954047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3549954048, 3550085119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550085120, 3550150655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550150656, 3550167039, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550167040, 3550175231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550175232, 3550183423, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550183424, 3550216191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550216192, 3550478335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550478336, 3550740479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3550740480, 3551002623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657433088, 3657498623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657498624, 3657564159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657564160, 3657695231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657695232, 3657826303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657826304, 3657891839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657891840, 3657957375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3657957376, 3658088447, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658088448, 3658153983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658153984, 3658219519, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658219520, 3658285055, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658285056, 3658350591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658350592, 3658481663, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658481664, 3658743807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658743808, 3658809343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658809344, 3658842111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658842112, 3658874879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3658874880, 3659005951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3659005952, 3659137023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3659137024, 3659202559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3659202560, 3659268095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3659268096, 3659399167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3659399168, 3659530239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661103104, 3661365247, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661365248, 3661496319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661496320, 3661529087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661529088, 3661561855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661561856, 3661627391, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661627392, 3661758463, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661758464, 3661823999, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661824000, 3661856767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661856768, 3661889535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3661889536, 3662020607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3662020608, 3662151679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3662151680, 3662413823, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3662413824, 3662544895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3662544896, 3662675967, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3662675968, 3662938111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3662938112, 3663200255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663003648, 3663101951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663200256, 3663724543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663331328, 3663659007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663724544, 3663855615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663855616, 3663888383, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663888384, 3663904767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663904768, 3663912959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663912960, 3663921151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3663921152, 3663986687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664009216, 3664011263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664011264, 3664019455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664019456, 3664052223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664150528, 3664183065, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664216064, 3664248601, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664248832, 3664281599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664281600, 3664289791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664289792, 3664297983, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664297984, 3664300031, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664300032, 3664302079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664302080, 3664306175, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664306176, 3664314367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664314368, 3664379903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664379904, 3664510975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664510976, 3664576511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3664576512, 3664642047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3669606400, 3669614591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3669618688, 3669620735, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670016000, 3670081535, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670081536, 3670147071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670147072, 3670212607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670212608, 3670278143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670278144, 3670540287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670540288, 3670802431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670802432, 3670933503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3670933504, 3671064575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3673161728, 3673423871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3673423872, 3673554943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3673554944, 3673686015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3673751552, 3673817087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3678928896, 3678994431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3679584256, 3679649791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3679682560, 3679715327, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3682598912, 3683647487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3683647488, 3683909631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3683909632, 3683975167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3683975168, 3684007935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684007936, 3684024319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684024320, 3684040703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684040704, 3684048895, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684048896, 3684057087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684057088, 3684065279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684065280, 3684069375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684069376, 3684073471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684073472, 3684106239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684106240, 3684114431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684114432, 3684122623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684122624, 3684139007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684139008, 3684171775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684171776, 3684302847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684302848, 3684433919, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684433920, 3684564991, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684564992, 3684597759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684597760, 3684630527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');
INSERT INTO `IPBlacklist` (`StartIP`, `EndIP`, `Country`, `DateAdded`, `botID`, `steam`, `playerName`, `IP`, `OrgName`) VALUES
(3684630528, 3684646911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684646912, 3684663295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3684663296, 3684696063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3688366080, 3688497151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3688497152, 3688628223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3688628224, 3688693759, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3688693760, 3688759295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3688759296, 3688890367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3688890368, 3689021439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689021440, 3689086975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689086976, 3689152511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689152512, 3689283583, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689283584, 3689414655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689414656, 3689676799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689676800, 3689807871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3689807872, 3689938943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3690070016, 3690201087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3690201088, 3690463231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3697655808, 3697672191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3698327552, 3698589695, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3700981760, 3701014527, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3701080064, 3701211135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3701473280, 3703570431, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3701669888, 3701866265, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3703570432, 3703701503, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3703701504, 3703832575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3703832576, 3704094719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3704094720, 3704619007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3706126336, 3706142719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3706159104, 3706191871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3706208256, 3706224639, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3706322944, 3706388479, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3706847232, 3706978303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707209728, 3707211775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707240448, 3707502591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707502592, 3707568127, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707764736, 3707895807, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707895808, 3707961343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707961344, 3707994111, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3707994112, 3708026879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708026880, 3708092415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708092416, 3708125183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708125184, 3708157951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708157952, 3708223487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708223488, 3708231679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708231680, 3708239871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708239872, 3708248063, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708248064, 3708256255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708256256, 3708289023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708289024, 3708420095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708420096, 3708485631, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708485632, 3708518399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708518400, 3708534783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708534784, 3708542975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708542976, 3708551167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708551168, 3708583935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708583936, 3708600319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708616704, 3708633087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708633088, 3708641279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708641280, 3708649471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708649472, 3708682239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3708682240, 3708813311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3715760128, 3715891199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3716186112, 3716218879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3716218880, 3716284415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3716284416, 3716415487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3716538368, 3716546559, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3716677632, 3716743167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3716743168, 3716808703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3719036928, 3719299071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3719299072, 3719823359, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720347648, 3720478719, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720478720, 3720544255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720544256, 3720609791, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720609792, 3720740863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720740864, 3720806399, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720806400, 3720814591, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720814592, 3720818687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720818688, 3720822783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720822784, 3720839167, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720839168, 3720855551, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720855552, 3720859647, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720863744, 3720871935, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3720871936, 3721134079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721134080, 3721265151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721265152, 3721330687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721330688, 3721347071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721347072, 3721363455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721363456, 3721396223, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721396224, 3721658367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721658368, 3721723903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721723904, 3721789439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721789440, 3721920511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721845568, 3721845516, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3721920512, 3722444799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3722444800, 3722969087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3722834372, 3722834195, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3722969088, 3723231231, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3723231232, 3723362303, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3723362304, 3723427839, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3723427840, 3723460607, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3723460608, 3723493375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3725590528, 3725721599, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3725721600, 3725852671, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3725852672, 3725983743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3725983744, 3726049279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3726049280, 3726114815, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3726114816, 3726245887, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3726245888, 3726376959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3726376960, 3726639103, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3726639104, 3728736255, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3728736256, 3729260543, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729260544, 3729391615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729391616, 3729457151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729457152, 3729522687, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729522688, 3729784831, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729784832, 3729915903, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729915904, 3729981439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3729981440, 3730014207, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730014208, 3730046975, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730046976, 3730112511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730112512, 3730145279, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730145280, 3730178047, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730178048, 3730309119, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730309120, 3730440191, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730440192, 3730571263, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3730571264, 3730833407, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3732733952, 3732799487, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3732832256, 3732865023, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3732930560, 3733192703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3733192704, 3733454847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3733346348, 3733346351, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3733454848, 3733979135, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735027712, 3735158783, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735158784, 3735224319, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735224320, 3735232511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735232512, 3735240703, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735240704, 3735257087, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735257088, 3735289855, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735552000, 3735683071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735683072, 3735814143, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735814144, 3735846911, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735846912, 3735879679, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735879680, 3735945215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3735945216, 3736076287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3736076288, 3736600575, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3736600576, 3737124863, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3737124864, 3737387007, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3737387008, 3737518079, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3737518080, 3737583615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3737583616, 3737649151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3737649152, 3737911295, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3737911296, 3738042367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3738042368, 3738173439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3738173440, 3738697727, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3738697728, 3738828799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3738828800, 3738894335, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3738894336, 3738959871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3738959872, 3739090943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3739090944, 3739222015, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740270592, 3740794879, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740598272, 3740614655, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740794880, 3740860415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740860416, 3740893183, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740893184, 3740901375, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740901376, 3740905471, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740905472, 3740909567, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3740909568, 3740925951, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3741319168, 3741450239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3741450240, 3741581311, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3741581312, 3741843455, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3741843456, 3742367743, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3742367744, 3742629887, 'HK', '2020-05-25 23:43:16', 0, 0, '', '', 'ON-NETS.COM\''),
(3742629888, 3742760959, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3743135744, 3743136767, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3745513472, 3747610623, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3747610624, 3748659199, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3748659200, 3748921343, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3748921344, 3749052415, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3749183488, 3749707775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3749707776, 3749838847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3750756352, 3751804927, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3751804928, 3752067071, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3752198144, 3752329215, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3753902080, 3754033151, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3754295296, 3754426367, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3754491904, 3754557439, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3754557440, 3754688511, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3754950656, 3755212799, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3755212800, 3755343871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3755343872, 3755474943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3755737088, 3755868159, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3755978752, 3755982847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3755982848, 3755986943, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3757047808, 3757572095, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3757572096, 3757834239, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3757867008, 3757899775, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3757965312, 3758030847, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3758030848, 3758063615, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3758091264, 3758092287, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3758092288, 3758093081, NULL, '2019-03-01 10:46:50', 0, 0, '', '', ''),
(3758095360, 3758095871, NULL, '2019-03-01 10:46:50', 0, 0, '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `IPTable`
--

DROP TABLE IF EXISTS `IPTable`;
CREATE TABLE `IPTable` (
  `StartIP` bigint(15) NOT NULL,
  `EndIP` bigint(15) NOT NULL,
  `Country` varchar(2) NOT NULL DEFAULT '',
  `OrgName` varchar(100) NOT NULL DEFAULT '',
  `IP` varchar(20) NOT NULL DEFAULT '',
  `steam` bigint(17) NOT NULL DEFAULT 0,
  `botID` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `messageQueue`
--

DROP TABLE IF EXISTS `messageQueue`;
CREATE TABLE `messageQueue` (
  `id` bigint(20) NOT NULL,
  `sender` bigint(17) NOT NULL DEFAULT 0,
  `recipient` bigint(20) NOT NULL DEFAULT 0,
  `message` varchar(1000) NOT NULL,
  `fromServer` int(11) NOT NULL,
  `toServer` int(11) NOT NULL,
  `messageTimestamp` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `players`
--

DROP TABLE IF EXISTS `players`;
CREATE TABLE `players` (
  `server` varchar(50) NOT NULL,
  `steam` bigint(17) NOT NULL DEFAULT 0,
  `name` varchar(100) NOT NULL,
  `level` int(11) NOT NULL DEFAULT 1,
  `zombies` int(11) NOT NULL DEFAULT 0,
  `score` int(11) NOT NULL DEFAULT 0,
  `playerKills` int(11) NOT NULL DEFAULT 0,
  `deaths` int(11) NOT NULL DEFAULT 0,
  `timeOnServer` int(11) NOT NULL DEFAULT 0,
  `ip` varchar(15) DEFAULT NULL,
  `online` tinyint(1) NOT NULL DEFAULT 0,
  `country` varchar(2) DEFAULT NULL,
  `playtime` int(11) DEFAULT 0,
  `ping` int(11) NOT NULL DEFAULT 0,
  `botID` int(11) NOT NULL DEFAULT 0,
  `homeX` int(11) DEFAULT 0,
  `homeY` int(11) DEFAULT 0,
  `homeZ` int(11) DEFAULT 0,
  `home2X` int(11) DEFAULT 0,
  `home2Y` int(11) DEFAULT 0,
  `home2Z` int(11) DEFAULT 0,
  `exitX` int(11) DEFAULT 0,
  `exitY` int(11) DEFAULT 0,
  `exitZ` int(11) DEFAULT 0,
  `exit2X` int(11) DEFAULT 0,
  `exit2Y` int(11) DEFAULT 0,
  `exit2Z` int(11) DEFAULT 0,
  `protect` tinyint(1) DEFAULT 0,
  `protect2` tinyint(1) DEFAULT 0,
  `protectSize` int(11) DEFAULT 32,
  `protect2Size` int(11) DEFAULT 32,
  `ircAlias` varchar(15) NOT NULL,
  `ircAuthenticated` tinyint(1) NOT NULL DEFAULT 0,
  `steamOwner` bigint(17) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `proxies`
--

DROP TABLE IF EXISTS `proxies`;
CREATE TABLE `proxies` (
  `scanString` varchar(100) NOT NULL,
  `action` varchar(20) NOT NULL DEFAULT 'nothing',
  `hits` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `proxies`
--

INSERT INTO `proxies` (`scanString`, `action`, `hits`) VALUES
('ALIBABA.COM', 'ban', 0),
('AMAZON TECHNOLOGIES', 'ban', 0),
('AOYOUHOST', 'ban', 0),
('AZURE TECHNOLOGY', 'ban', 0),
('BANK OF AMERICA ', 'ban', 0),
('CHOOPA', 'ban', 0),
('DCSMANAGE.COM', 'ban', 0),
('EDIS.AT', 'ban', 0),
('EGIHOSTING', 'ban', 0),
('ETHR-NET', 'ban', 0),
('FEDERAL ONLINE GROUP', 'ban', 0),
('GAMESERVER', 'ban', 0),
('GLOBAL-FRAG-SERVERS', 'ban', 0),
('HUGESERVER', 'ban', 0),
('HYDRACOM', 'ban', 0),
('KRYPT TECHNOLOGIES ', 'ban', 0),
('LONGLING', 'ban', 0),
('LONLIFE.CN', 'ban', 0),
('MULTACOM', 'ban', 0),
('PCCWGLOBAL.COM', 'ban', 0),
('PSYCHZ-NETWORKS', 'ban', 0),
('QUADRANET', 'ban', 0),
('TATA COMMUNICATIONS', 'ban', 0),
('TOTAL-SERVER-SOLUTIONS', 'ban', 0),
('VELIA.NET', 'ban', 0),
('WEB2OBJECTS', 'ban', 0),
('WEBNX.COM', 'ban', 0),
('WIRELESS-ALARM.COM ', 'ban', 0),
('YPSOLUTIONS ', 'ban', 0),
('ZENLAYER', 'ban', 0);

-- --------------------------------------------------------

--
-- Table structure for table `servers`
--

DROP TABLE IF EXISTS `servers`;
CREATE TABLE `servers` (
  `ServerPort` int(11) NOT NULL DEFAULT 0,
  `IP` varchar(15) DEFAULT NULL,
  `botName` varchar(50) NOT NULL DEFAULT '"Botman"',
  `serverName` varchar(100) NOT NULL,
  `playersOnline` int(11) NOT NULL DEFAULT 0,
  `tick` timestamp NOT NULL DEFAULT current_timestamp(),
  `serverGroup` varchar(50) DEFAULT NULL,
  `botID` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `DNSLookupCounter` int(11) NOT NULL DEFAULT 0,
  `DNSResetCounterDate` int(11) NOT NULL DEFAULT 10000101
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `bans`
--
ALTER TABLE `bans`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `DNSServers`
--
ALTER TABLE `DNSServers`
  ADD PRIMARY KEY (`server`);

--
-- Indexes for table `donors`
--
ALTER TABLE `donors`
  ADD PRIMARY KEY (`botID`,`steam`),
  ADD UNIQUE KEY `steam` (`steam`);

--
-- Indexes for table `events`
--
ALTER TABLE `events`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `server` (`server`,`id`);

--
-- Indexes for table `guides`
--
ALTER TABLE `guides`
  ADD PRIMARY KEY (`guideID`);

--
-- Indexes for table `helpCommands`
--
ALTER TABLE `helpCommands`
  ADD PRIMARY KEY (`commandID`);

--
-- Indexes for table `helpTopicCommands`
--
ALTER TABLE `helpTopicCommands`
  ADD PRIMARY KEY (`topicID`,`commandID`);

--
-- Indexes for table `helpTopics`
--
ALTER TABLE `helpTopics`
  ADD PRIMARY KEY (`topicID`);

--
-- Indexes for table `IPBlacklist`
--
ALTER TABLE `IPBlacklist`
  ADD PRIMARY KEY (`StartIP`);

--
-- Indexes for table `IPTable`
--
ALTER TABLE `IPTable`
  ADD PRIMARY KEY (`StartIP`);

--
-- Indexes for table `messageQueue`
--
ALTER TABLE `messageQueue`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `players`
--
ALTER TABLE `players`
  ADD PRIMARY KEY (`steam`,`botID`);

--
-- Indexes for table `proxies`
--
ALTER TABLE `proxies`
  ADD PRIMARY KEY (`scanString`);

--
-- Indexes for table `servers`
--
ALTER TABLE `servers`
  ADD PRIMARY KEY (`serverName`),
  ADD UNIQUE KEY `serverName` (`serverName`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `bans`
--
ALTER TABLE `bans`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `events`
--
ALTER TABLE `events`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `guides`
--
ALTER TABLE `guides`
  MODIFY `guideID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `helpCommands`
--
ALTER TABLE `helpCommands`
  MODIFY `commandID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `helpTopics`
--
ALTER TABLE `helpTopics`
  MODIFY `topicID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `messageQueue`
--
ALTER TABLE `messageQueue`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
